Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.xml
Interface Constants

    public interface Constants

Convenience constants for XML processing. All strings are internalized to make the equals check faster

Since:
  6.0.1

Field Summary
`static java.lang.String` | `ATTR_SPACE_DEFAULT` http://www.w3.org/TR/xml11/#sec-white-space The value "default" signals that applications' default white-space processing modes are acceptable for this element.
`static java.lang.String` | `ATTR_SPACE_PRESERVE` http://www.w3.org/TR/xml11/#sec-white-space The value "preserve" indicates the intent that applications preserve all the white space.
`static java.lang.String` | `ATTR_TYPE_CDATA` http://www.w3.org/TR/xml/#dt-chardata
`static java.lang.String` | `ATTR_TYPE_ENTITIES` http://www.w3.org/TR/xml/#NT-Names
`static java.lang.String` | `ATTR_TYPE_ENTITY` http://www.w3.org/TR/xml/#NT-Name
`static java.lang.String` | `ATTR_TYPE_ID` http://www.w3.org/TR/xml/#NT-Name
`static java.lang.String` | `ATTR_TYPE_IDREF` http://www.w3.org/TR/xml/#NT-Name
`static java.lang.String` | `ATTR_TYPE_IDREFS` http://www.w3.org/TR/xml/#NT-Names
`static java.lang.String` | `ATTR_TYPE_NMTOKEN` http://www.w3.org/TR/xml/#NT-Nmtoken
`static java.lang.String` | `ATTR_TYPE_NMTOKENS` http://www.w3.org/TR/xml/#NT-Nmtokens
`static java.lang.String` | `ATTR_TYPE_NOTATION` http://www.w3.org/TR/xml/#NT-NotationType
`static java.lang.String` | `ATTR_XML_BASE` Deprecated. use `XML_ATTR_BASE_QNAME` instead
`static java.lang.String` | `DEFAULT_NAMESPACE_URI` the default namespace is not mapped
`static java.lang.String` | `DT_NAMESPACE_URI` Namespace URI for the XML schema datatype namespace
`static java.lang.String` | `DT_NS` Namespace prefix for the XML Schema datatype namespace
`static javax.xml.namespace.QName` | `DT_TYPE_ANYURI` anyURI represents a Uniform Resource Identifier Reference (URI).
`static java.lang.String` | `DT_TYPE_ANYURI_LOCAL` anyURI represents a Uniform Resource Identifier Reference (URI).
`static java.lang.String` | `DT_TYPE_ANYURI_QNAME` anyURI represents a Uniform Resource Identifier Reference (URI).
`static javax.xml.namespace.QName` | `DT_TYPE_BASE64BINARY` base64Binary represents Base64-encoded arbitrary binary data.
`static java.lang.String` | `DT_TYPE_BASE64BINARY_LOCAL` base64Binary represents Base64-encoded arbitrary binary data.
`static java.lang.String` | `DT_TYPE_BASE64BINARY_QNAME` base64Binary represents Base64-encoded arbitrary binary data.
`static javax.xml.namespace.QName` | `DT_TYPE_BOOLEAN` boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.
`static java.lang.String` | `DT_TYPE_BOOLEAN_LOCAL` boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.
`static java.lang.String` | `DT_TYPE_BOOLEAN_QNAME` boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.
`static javax.xml.namespace.QName` | `DT_TYPE_BYTE` byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128.
`static java.lang.String` | `DT_TYPE_BYTE_LOCAL` byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128.
`static java.lang.String` | `DT_TYPE_BYTE_QNAME` byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128.
`static javax.xml.namespace.QName` | `DT_TYPE_DATE` The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e.
`static java.lang.String` | `DT_TYPE_DATE_LOCAL` The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e.
`static java.lang.String` | `DT_TYPE_DATE_QNAME` The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e.
`static javax.xml.namespace.QName` | `DT_TYPE_DATETIME` dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property
`static java.lang.String` | `DT_TYPE_DATETIME_LOCAL` dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property
`static java.lang.String` | `DT_TYPE_DATETIME_QNAME` dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property
`static javax.xml.namespace.QName` | `DT_TYPE_DECIMAL` decimal represents a subset of the real numbers, which can be represented by decimal numerals
`static java.lang.String` | `DT_TYPE_DECIMAL_LOCAL` decimal represents a subset of the real numbers, which can be represented by decimal numerals
`static java.lang.String` | `DT_TYPE_DECIMAL_QNAME` decimal represents a subset of the real numbers, which can be represented by decimal numerals
`static javax.xml.namespace.QName` | `DT_TYPE_DOUBLE` The double datatype is patterned after the IEEE double-precision 64-bit floating point type
`static java.lang.String` | `DT_TYPE_DOUBLE_LOCAL` The double datatype is patterned after the IEEE double-precision 64-bit floating point type
`static java.lang.String` | `DT_TYPE_DOUBLE_QNAME` The double datatype is patterned after the IEEE double-precision 64-bit floating point type
`static javax.xml.namespace.QName` | `DT_TYPE_DURATION` duration represents a duration of time
`static java.lang.String` | `DT_TYPE_DURATION_LOCAL` duration represents a duration of time
`static java.lang.String` | `DT_TYPE_DURATION_QNAME` duration represents a duration of time
`static javax.xml.namespace.QName` | `DT_TYPE_ENTITIES` ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_ENTITIES_LOCAL` ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_ENTITIES_QNAME` ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_ENTITY` ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_ENTITY_LOCAL` ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_ENTITY_QNAME` ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_FLOAT` float is patterned after the IEEE single-precision 32-bit floating point type
`static java.lang.String` | `DT_TYPE_FLOAT_LOCAL` float is patterned after the IEEE single-precision 32-bit floating point type
`static java.lang.String` | `DT_TYPE_FLOAT_QNAME` float is patterned after the IEEE single-precision 32-bit floating point type
`static javax.xml.namespace.QName` | `DT_TYPE_GDAY` gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month.
`static java.lang.String` | `DT_TYPE_GDAY_LOCAL` gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month.
`static java.lang.String` | `DT_TYPE_GDAY_QNAME` gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month.
`static javax.xml.namespace.QName` | `DT_TYPE_GMONTH` gMonth is a gregorian month that recurs every year.
`static java.lang.String` | `DT_TYPE_GMONTH_LOCAL` gMonth is a gregorian month that recurs every year.
`static java.lang.String` | `DT_TYPE_GMONTH_QNAME` gMonth is a gregorian month that recurs every year.
`static javax.xml.namespace.QName` | `DT_TYPE_GMONTHDAY` gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May.
`static java.lang.String` | `DT_TYPE_GMONTHDAY_LOCAL` gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May.
`static java.lang.String` | `DT_TYPE_GMONTHDAY_QNAME` gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May.
`static javax.xml.namespace.QName` | `DT_TYPE_GYEAR` gYear represents a gregorian calendar year.
`static java.lang.String` | `DT_TYPE_GYEAR_LOCAL` gYear represents a gregorian calendar year.
`static java.lang.String` | `DT_TYPE_GYEAR_QNAME` gYear represents a gregorian calendar year.
`static javax.xml.namespace.QName` | `DT_TYPE_GYEARMONTH` gYearMonth represents a specific gregorian month in a specific gregorian year.
`static java.lang.String` | `DT_TYPE_GYEARMONTH_LOCAL` gYearMonth represents a specific gregorian month in a specific gregorian year.
`static java.lang.String` | `DT_TYPE_GYEARMONTH_QNAME` gYearMonth represents a specific gregorian month in a specific gregorian year.
`static javax.xml.namespace.QName` | `DT_TYPE_HEXBINARY` hexBinary represents arbitrary hex-encoded binary data.
`static java.lang.String` | `DT_TYPE_HEXBINARY_LOCAL` hexBinary represents arbitrary hex-encoded binary data.
`static java.lang.String` | `DT_TYPE_HEXBINARY_QNAME` hexBinary represents arbitrary hex-encoded binary data.
`static javax.xml.namespace.QName` | `DT_TYPE_ID` ID represents the ID attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_ID_LOCAL` ID represents the ID attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_ID_QNAME` ID represents the ID attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_IDREF` IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_IDREF_LOCAL` IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_IDREF_QNAME` IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_IDREFS` IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_IDREFS_LOCAL` IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_IDREFS_QNAME` IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_INT` int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648.
`static java.lang.String` | `DT_TYPE_INT_LOCAL` int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648.
`static java.lang.String` | `DT_TYPE_INT_QNAME` int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648.
`static javax.xml.namespace.QName` | `DT_TYPE_INTEGER` integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point.
`static java.lang.String` | `DT_TYPE_INTEGER_LOCAL` integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point.
`static java.lang.String` | `DT_TYPE_INTEGER_QNAME` integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point.
`static javax.xml.namespace.QName` | `DT_TYPE_LANGUAGE` language represents natural language identifiers as defined by by [RFC 3066] .
`static java.lang.String` | `DT_TYPE_LANGUAGE_LOCAL` language represents natural language identifiers as defined by by [RFC 3066] .
`static java.lang.String` | `DT_TYPE_LANGUAGE_QNAME` language represents natural language identifiers as defined by by [RFC 3066] .
`static javax.xml.namespace.QName` | `DT_TYPE_LONG` long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808.
`static java.lang.String` | `DT_TYPE_LONG_LOCAL` long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808.
`static java.lang.String` | `DT_TYPE_LONG_QNAME` long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808.
`static javax.xml.namespace.QName` | `DT_TYPE_NAME` Name represents XML Names.
`static java.lang.String` | `DT_TYPE_NAME_LOCAL` Name represents XML Names.
`static java.lang.String` | `DT_TYPE_NAME_QNAME` Name represents XML Names.
`static javax.xml.namespace.QName` | `DT_TYPE_NCNAME` NCName represents XML "non-colonized" Names.
`static java.lang.String` | `DT_TYPE_NCNAME_LOCAL` NCName represents XML "non-colonized" Names.
`static java.lang.String` | `DT_TYPE_NCNAME_QNAME` NCName represents XML "non-colonized" Names.
`static javax.xml.namespace.QName` | `DT_TYPE_NEGATIVEINTEGER` negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1.
`static java.lang.String` | `DT_TYPE_NEGATIVEINTEGER_LOCAL` negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1.
`static java.lang.String` | `DT_TYPE_NEGATIVEINTEGER_QNAME` negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1.
`static javax.xml.namespace.QName` | `DT_TYPE_NMTOKEN` NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_NMTOKEN_LOCAL` NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_NMTOKEN_QNAME` NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_NMTOKENS` NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_NMTOKENS_LOCAL` NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_NMTOKENS_QNAME` NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_NONNEGATIVEINTEGER` nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0.
`static java.lang.String` | `DT_TYPE_NONNEGATIVEINTEGER_LOCAL` nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0.
`static java.lang.String` | `DT_TYPE_NONNEGATIVEINTEGER_QNAME` nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0.
`static javax.xml.namespace.QName` | `DT_TYPE_NONPOSITIVEINTEGER` nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0.
`static java.lang.String` | `DT_TYPE_NONPOSITIVEINTEGER_LOCAL` nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0.
`static java.lang.String` | `DT_TYPE_NONPOSITIVEINTEGER_QNAME` nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0.
`static javax.xml.namespace.QName` | `DT_TYPE_NORMALIZEDSTRING` normalizedString represents white space normalized strings.
`static java.lang.String` | `DT_TYPE_NORMALIZEDSTRING_LOCAL` normalizedString represents white space normalized strings.
`static java.lang.String` | `DT_TYPE_NORMALIZEDSTRING_QNAME` normalizedString represents white space normalized strings.
`static javax.xml.namespace.QName` | `DT_TYPE_NOTATION` NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_NOTATION_LOCAL` NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `DT_TYPE_NOTATION_QNAME` NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `DT_TYPE_POSITIVEINTEGER` positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1.
`static java.lang.String` | `DT_TYPE_POSITIVEINTEGER_LOCAL` positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1.
`static java.lang.String` | `DT_TYPE_POSITIVEINTEGER_QNAME` positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1.
`static javax.xml.namespace.QName` | `DT_TYPE_QNAME` QName represents XML qualified names.
`static java.lang.String` | `DT_TYPE_QNAME_LOCAL` QName represents XML qualified names.
`static java.lang.String` | `DT_TYPE_QNAME_QNAME` QName represents XML qualified names.
`static javax.xml.namespace.QName` | `DT_TYPE_SHORT` short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768.
`static java.lang.String` | `DT_TYPE_SHORT_LOCAL` short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768.
`static java.lang.String` | `DT_TYPE_SHORT_QNAME` short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768.
`static javax.xml.namespace.QName` | `DT_TYPE_STRING` The string datatype represents character strings in XML
`static java.lang.String` | `DT_TYPE_STRING_LOCAL` The string datatype represents character strings in XML
`static java.lang.String` | `DT_TYPE_STRING_QNAME` The string datatype represents character strings in XML
`static javax.xml.namespace.QName` | `DT_TYPE_TIME` time represents an instant of time that recurs every day
`static java.lang.String` | `DT_TYPE_TIME_LOCAL` time represents an instant of time that recurs every day
`static java.lang.String` | `DT_TYPE_TIME_QNAME` time represents an instant of time that recurs every day
`static javax.xml.namespace.QName` | `DT_TYPE_TOKEN` token represents tokenized strings.
`static java.lang.String` | `DT_TYPE_TOKEN_LOCAL` token represents tokenized strings.
`static java.lang.String` | `DT_TYPE_TOKEN_QNAME` token represents tokenized strings.
`static javax.xml.namespace.QName` | `DT_TYPE_UNSIGNEDBYTE` unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255.
`static java.lang.String` | `DT_TYPE_UNSIGNEDBYTE_LOCAL` unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255.
`static java.lang.String` | `DT_TYPE_UNSIGNEDBYTE_QNAME` unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255.
`static javax.xml.namespace.QName` | `DT_TYPE_UNSIGNEDINT` unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295.
`static java.lang.String` | `DT_TYPE_UNSIGNEDINT_LOCAL` unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295.
`static java.lang.String` | `DT_TYPE_UNSIGNEDINT_QNAME` unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295.
`static javax.xml.namespace.QName` | `DT_TYPE_UNSIGNEDLONG` unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615.
`static java.lang.String` | `DT_TYPE_UNSIGNEDLONG_LOCAL` unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615.
`static java.lang.String` | `DT_TYPE_UNSIGNEDLONG_QNAME` unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615.
`static javax.xml.namespace.QName` | `DT_TYPE_UNSIGNEDSHORT` unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535.
`static java.lang.String` | `DT_TYPE_UNSIGNEDSHORT_LOCAL` unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535.
`static java.lang.String` | `DT_TYPE_UNSIGNEDSHORT_QNAME` unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535.
`static java.lang.String` | `INDENT` specifies if the handler indents the output
`static java.lang.String` | `INDENT_NO` does not indent
`static java.lang.String` | `INDENT_YES` indents
`static java.lang.String` | `KEY_INDENT_AMOUNT` Specifies the indent amount for beautification
`static java.lang.String` | `KEY_XSLT_PROCESSOR` Type of the XSLT processor to use
`static java.lang.String` | `METHOD` output method
`static java.lang.String` | `METHOD_HTML` outputs as html
`static java.lang.String` | `METHOD_TEXT` outputs as text
`static java.lang.String` | `METHOD_XHTML` outputs as xhtml
`static java.lang.String` | `METHOD_XML` outputs as xml
`static java.lang.String` | `NO` Value to disable a feature
`static java.lang.String` | `PI_XML` Processing instruction for the XML entity
`static java.lang.String` | `PI_XML_STYLESHEET` Processing instruction for assign an XSLT to an XML file http://www.w3.org/TR/xml-stylesheet/
`static java.lang.String` | `XINCLUDE_ATTR_ACCEPT` The value of the accept attribute may be used by the XInclude processor to aid in content negotiation.
`static java.lang.String` | `XINCLUDE_ATTR_ACCEPT_LANGUAGE` The value of the accept-language attribute may be used by the XInclude processor to aid in content negotiation.
`static java.lang.String` | `XINCLUDE_ATTR_ENCODING` When parse="text", it is sometimes impossible to correctly detect the encoding of the text resource.
`static java.lang.String` | `XINCLUDE_ATTR_HREF` Relative reference of the included entity
`static java.lang.String` | `XINCLUDE_ATTR_PARSE` Indicates whether to include the resource as parsed XML or as text.
`static java.lang.String` | `XINCLUDE_ATTR_PARSE_TEXT` Parsing type "text"
`static java.lang.String` | `XINCLUDE_ATTR_PARSE_XML` Parsing type "xml"
`static java.lang.String` | `XINCLUDE_ATTR_XPOINTER` When parse="xml", the XPointer (see [XPointer Framework]) contained in the xpointer attribute is evaluated to identify a portion of the resource to include.
`static java.lang.String` | `XINCLUDE_FALLBACK_LOCAL` http://www.w3.org/TR/xinclude/#fallback_element
`static javax.xml.namespace.QName` | `XINCLUDE_FALLBACK_QNAME` http://www.w3.org/TR/xinclude/#fallback_element
`static java.lang.String` | `XINCLUDE_INCLUDE_LOCAL` http://www.w3.org/TR/xinclude/#include_element
`static javax.xml.namespace.QName` | `XINCLUDE_INCLUDE_QNAME` http://www.w3.org/TR/xinclude/#include_element
`static java.lang.String` | `XINCLUDE_NAMESPACE_URI` namespace URI for XInclude processing
`static java.lang.String` | `XINCLUDE_NS` XInclude namespace prefix
`static javax.xml.namespace.QName` | `XML_ATTR_BASE` QName representation of `#ATTR_XML_BASE_LOCAL`.
`static java.lang.String` | `XML_ATTR_BASE_LOCAL` The XML Base specification describes a facility, similar to that of HTML BASE, for defining base URIs for parts of XML documents.
`static java.lang.String` | `XML_ATTR_BASE_QNAME` XML base namespace
`static javax.xml.namespace.QName` | `XML_ATTR_ID` QName representation of `#ATTR_XML_ID_LOCAL`
`static java.lang.String` | `XML_ATTR_ID_LOCAL` The xml:id specification defines a single attribute, xml:id, known to be of type ID independently of any DTD or schema.
`static java.lang.String` | `XML_ATTR_ID_QNAME` XML base namespace
`static javax.xml.namespace.QName` | `XML_ATTR_LANG` QName representation of `#ATTR_XML_LANG_LOCAL` http://www.opentag.com/xfaq_lang.htm
`static java.lang.String` | `XML_ATTR_LANG_LOCAL` Designed for identifying the human language used in the scope of the element to which it's attached.
`static java.lang.String` | `XML_ATTR_LANG_QNAME` XML base namespace
`static javax.xml.namespace.QName` | `XML_ATTR_SPACE` QName representation of `#ATTR_XML_SPACE_LOCAL`
`static java.lang.String` | `XML_ATTR_SPACE_LOCAL` Designed to express whether or not the document's creator wishes white space to be considered as significant in the scope of the element to which it's attached.
`static java.lang.String` | `XML_ATTR_SPACE_QNAME` XML base namespace
`static java.lang.String` | `XML_CONTENT_TYPE` XML mime type
`static java.lang.String` | `XML_NAMESPACE_URI` XML base namespace.
`static java.lang.String` | `XML_NS` XML prefix
`static java.lang.String` | `XMLNS_NAMESPACE_URI` The prefix xmlns: was specified as a syntactic device for declaring namespaces, but was not itself associated with any namespace name by the Jan 1999 namespaces specfication.
`static java.lang.String` | `XS_NAMESPACE_URI` Namespace URI for the XML schema namespace
`static java.lang.String` | `XS_NS` Namespace prefix for the XML Schema namespace
`static javax.xml.namespace.QName` | `XS_TYPE_ANYURI` anyURI represents a Uniform Resource Identifier Reference (URI).
`static java.lang.String` | `XS_TYPE_ANYURI_LOCAL` anyURI represents a Uniform Resource Identifier Reference (URI).
`static java.lang.String` | `XS_TYPE_ANYURI_QNAME` anyURI represents a Uniform Resource Identifier Reference (URI).
`static javax.xml.namespace.QName` | `XS_TYPE_BASE64BINARY` base64Binary represents Base64-encoded arbitrary binary data.
`static java.lang.String` | `XS_TYPE_BASE64BINARY_LOCAL` base64Binary represents Base64-encoded arbitrary binary data.
`static java.lang.String` | `XS_TYPE_BASE64BINARY_QNAME` base64Binary represents Base64-encoded arbitrary binary data.
`static javax.xml.namespace.QName` | `XS_TYPE_BOOLEAN` boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.
`static java.lang.String` | `XS_TYPE_BOOLEAN_LOCAL` boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.
`static java.lang.String` | `XS_TYPE_BOOLEAN_QNAME` boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.
`static javax.xml.namespace.QName` | `XS_TYPE_BYTE` byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128.
`static java.lang.String` | `XS_TYPE_BYTE_LOCAL` byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128.
`static java.lang.String` | `XS_TYPE_BYTE_QNAME` byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128.
`static javax.xml.namespace.QName` | `XS_TYPE_DATE` The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e.
`static java.lang.String` | `XS_TYPE_DATE_LOCAL` The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e.
`static java.lang.String` | `XS_TYPE_DATE_QNAME` The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e.
`static javax.xml.namespace.QName` | `XS_TYPE_DATETIME` dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property
`static java.lang.String` | `XS_TYPE_DATETIME_LOCAL` dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property
`static java.lang.String` | `XS_TYPE_DATETIME_QNAME` dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property
`static javax.xml.namespace.QName` | `XS_TYPE_DECIMAL` decimal represents a subset of the real numbers, which can be represented by decimal numerals
`static java.lang.String` | `XS_TYPE_DECIMAL_LOCAL` decimal represents a subset of the real numbers, which can be represented by decimal numerals
`static java.lang.String` | `XS_TYPE_DECIMAL_QNAME` decimal represents a subset of the real numbers, which can be represented by decimal numerals
`static javax.xml.namespace.QName` | `XS_TYPE_DOUBLE` The double datatype is patterned after the IEEE double-precision 64-bit floating point type
`static java.lang.String` | `XS_TYPE_DOUBLE_LOCAL` The double datatype is patterned after the IEEE double-precision 64-bit floating point type
`static java.lang.String` | `XS_TYPE_DOUBLE_QNAME` The double datatype is patterned after the IEEE double-precision 64-bit floating point type
`static javax.xml.namespace.QName` | `XS_TYPE_DURATION` duration represents a duration of time
`static java.lang.String` | `XS_TYPE_DURATION_LOCAL` duration represents a duration of time
`static java.lang.String` | `XS_TYPE_DURATION_QNAME` duration represents a duration of time
`static javax.xml.namespace.QName` | `XS_TYPE_ENTITIES` ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_ENTITIES_LOCAL` ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_ENTITIES_QNAME` ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_ENTITY` ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_ENTITY_LOCAL` ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_ENTITY_QNAME` ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_FLOAT` float is patterned after the IEEE single-precision 32-bit floating point type
`static java.lang.String` | `XS_TYPE_FLOAT_LOCAL` float is patterned after the IEEE single-precision 32-bit floating point type
`static java.lang.String` | `XS_TYPE_FLOAT_QNAME` float is patterned after the IEEE single-precision 32-bit floating point type
`static javax.xml.namespace.QName` | `XS_TYPE_GDAY` gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month.
`static java.lang.String` | `XS_TYPE_GDAY_LOCAL` gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month.
`static java.lang.String` | `XS_TYPE_GDAY_QNAME` gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month.
`static javax.xml.namespace.QName` | `XS_TYPE_GMONTH` gMonth is a gregorian month that recurs every year.
`static java.lang.String` | `XS_TYPE_GMONTH_LOCAL` gMonth is a gregorian month that recurs every year.
`static java.lang.String` | `XS_TYPE_GMONTH_QNAME` gMonth is a gregorian month that recurs every year.
`static javax.xml.namespace.QName` | `XS_TYPE_GMONTHDAY` gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May.
`static java.lang.String` | `XS_TYPE_GMONTHDAY_LOCAL` gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May.
`static java.lang.String` | `XS_TYPE_GMONTHDAY_QNAME` gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May.
`static javax.xml.namespace.QName` | `XS_TYPE_GYEAR` gYear represents a gregorian calendar year.
`static java.lang.String` | `XS_TYPE_GYEAR_LOCAL` gYear represents a gregorian calendar year.
`static java.lang.String` | `XS_TYPE_GYEAR_QNAME` gYear represents a gregorian calendar year.
`static javax.xml.namespace.QName` | `XS_TYPE_GYEARMONTH` gYearMonth represents a specific gregorian month in a specific gregorian year.
`static java.lang.String` | `XS_TYPE_GYEARMONTH_LOCAL` gYearMonth represents a specific gregorian month in a specific gregorian year.
`static java.lang.String` | `XS_TYPE_GYEARMONTH_QNAME` gYearMonth represents a specific gregorian month in a specific gregorian year.
`static javax.xml.namespace.QName` | `XS_TYPE_HEXBINARY` hexBinary represents arbitrary hex-encoded binary data.
`static java.lang.String` | `XS_TYPE_HEXBINARY_LOCAL` hexBinary represents arbitrary hex-encoded binary data.
`static java.lang.String` | `XS_TYPE_HEXBINARY_QNAME` hexBinary represents arbitrary hex-encoded binary data.
`static javax.xml.namespace.QName` | `XS_TYPE_ID` ID represents the ID attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_ID_LOCAL` ID represents the ID attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_ID_QNAME` ID represents the ID attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_IDREF` IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_IDREF_LOCAL` IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_IDREF_QNAME` IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_IDREFS` IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_IDREFS_LOCAL` IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_IDREFS_QNAME` IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_INT` int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648.
`static java.lang.String` | `XS_TYPE_INT_LOCAL` int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648.
`static java.lang.String` | `XS_TYPE_INT_QNAME` int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648.
`static javax.xml.namespace.QName` | `XS_TYPE_INTEGER` integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point.
`static java.lang.String` | `XS_TYPE_INTEGER_LOCAL` integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point.
`static java.lang.String` | `XS_TYPE_INTEGER_QNAME` integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point.
`static javax.xml.namespace.QName` | `XS_TYPE_LANGUAGE` language represents natural language identifiers as defined by by [RFC 3066] .
`static java.lang.String` | `XS_TYPE_LANGUAGE_LOCAL` language represents natural language identifiers as defined by by [RFC 3066] .
`static java.lang.String` | `XS_TYPE_LANGUAGE_QNAME` language represents natural language identifiers as defined by by [RFC 3066] .
`static javax.xml.namespace.QName` | `XS_TYPE_LONG` long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808.
`static java.lang.String` | `XS_TYPE_LONG_LOCAL` long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808.
`static java.lang.String` | `XS_TYPE_LONG_QNAME` long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808.
`static javax.xml.namespace.QName` | `XS_TYPE_NAME` Name represents XML Names.
`static java.lang.String` | `XS_TYPE_NAME_LOCAL` Name represents XML Names.
`static java.lang.String` | `XS_TYPE_NAME_QNAME` Name represents XML Names.
`static javax.xml.namespace.QName` | `XS_TYPE_NCNAME` NCName represents XML "non-colonized" Names.
`static java.lang.String` | `XS_TYPE_NCNAME_LOCAL` NCName represents XML "non-colonized" Names.
`static java.lang.String` | `XS_TYPE_NCNAME_QNAME` NCName represents XML "non-colonized" Names.
`static javax.xml.namespace.QName` | `XS_TYPE_NEGATIVEINTEGER` negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1.
`static java.lang.String` | `XS_TYPE_NEGATIVEINTEGER_LOCAL` negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1.
`static java.lang.String` | `XS_TYPE_NEGATIVEINTEGER_QNAME` negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1.
`static javax.xml.namespace.QName` | `XS_TYPE_NMTOKEN` NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_NMTOKEN_LOCAL` NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_NMTOKEN_QNAME` NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_NMTOKENS` NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_NMTOKENS_LOCAL` NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_NMTOKENS_QNAME` NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_NONNEGATIVEINTEGER` nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0.
`static java.lang.String` | `XS_TYPE_NONNEGATIVEINTEGER_LOCAL` nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0.
`static java.lang.String` | `XS_TYPE_NONNEGATIVEINTEGER_QNAME` nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0.
`static javax.xml.namespace.QName` | `XS_TYPE_NONPOSITIVEINTEGER` nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0.
`static java.lang.String` | `XS_TYPE_NONPOSITIVEINTEGER_LOCAL` nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0.
`static java.lang.String` | `XS_TYPE_NONPOSITIVEINTEGER_QNAME` nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0.
`static javax.xml.namespace.QName` | `XS_TYPE_NORMALIZEDSTRING` normalizedString represents white space normalized strings.
`static java.lang.String` | `XS_TYPE_NORMALIZEDSTRING_LOCAL` normalizedString represents white space normalized strings.
`static java.lang.String` | `XS_TYPE_NORMALIZEDSTRING_QNAME` normalizedString represents white space normalized strings.
`static javax.xml.namespace.QName` | `XS_TYPE_NOTATION` NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_NOTATION_LOCAL` NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)].
`static java.lang.String` | `XS_TYPE_NOTATION_QNAME` NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)].
`static javax.xml.namespace.QName` | `XS_TYPE_POSITIVEINTEGER` positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1.
`static java.lang.String` | `XS_TYPE_POSITIVEINTEGER_LOCAL` positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1.
`static java.lang.String` | `XS_TYPE_POSITIVEINTEGER_QNAME` positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1.
`static javax.xml.namespace.QName` | `XS_TYPE_QNAME` QName represents XML qualified names.
`static java.lang.String` | `XS_TYPE_QNAME_LOCAL` QName represents XML qualified names.
`static java.lang.String` | `XS_TYPE_QNAME_QNAME` QName represents XML qualified names.
`static javax.xml.namespace.QName` | `XS_TYPE_SHORT` short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768.
`static java.lang.String` | `XS_TYPE_SHORT_LOCAL` short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768.
`static java.lang.String` | `XS_TYPE_SHORT_QNAME` short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768.
`static javax.xml.namespace.QName` | `XS_TYPE_STRING` The string datatype represents character strings in XML
`static java.lang.String` | `XS_TYPE_STRING_LOCAL` The string datatype represents character strings in XML
`static java.lang.String` | `XS_TYPE_STRING_QNAME` The string datatype represents character strings in XML
`static javax.xml.namespace.QName` | `XS_TYPE_TIME` time represents an instant of time that recurs every day
`static java.lang.String` | `XS_TYPE_TIME_LOCAL` time represents an instant of time that recurs every day
`static java.lang.String` | `XS_TYPE_TIME_QNAME` time represents an instant of time that recurs every day
`static javax.xml.namespace.QName` | `XS_TYPE_TOKEN` token represents tokenized strings.
`static java.lang.String` | `XS_TYPE_TOKEN_LOCAL` token represents tokenized strings.
`static java.lang.String` | `XS_TYPE_TOKEN_QNAME` token represents tokenized strings.
`static javax.xml.namespace.QName` | `XS_TYPE_UNSIGNEDBYTE` unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255.
`static java.lang.String` | `XS_TYPE_UNSIGNEDBYTE_LOCAL` unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255.
`static java.lang.String` | `XS_TYPE_UNSIGNEDBYTE_QNAME` unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255.
`static javax.xml.namespace.QName` | `XS_TYPE_UNSIGNEDINT` unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295.
`static java.lang.String` | `XS_TYPE_UNSIGNEDINT_LOCAL` unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295.
`static java.lang.String` | `XS_TYPE_UNSIGNEDINT_QNAME` unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295.
`static javax.xml.namespace.QName` | `XS_TYPE_UNSIGNEDLONG` unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615.
`static java.lang.String` | `XS_TYPE_UNSIGNEDLONG_LOCAL` unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615.
`static java.lang.String` | `XS_TYPE_UNSIGNEDLONG_QNAME` unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615.
`static javax.xml.namespace.QName` | `XS_TYPE_UNSIGNEDSHORT` unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535.
`static java.lang.String` | `XS_TYPE_UNSIGNEDSHORT_LOCAL` unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535.
`static java.lang.String` | `XS_TYPE_UNSIGNEDSHORT_QNAME` unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535.
`static javax.xml.namespace.QName` | `XSI_ATTR_NIL` XML Schema: Structures introduces a mechanism for signaling that an element should be accepted as valid when it has no content despite a content type which does not require or even necessarily allow empty content.
`static java.lang.String` | `XSI_ATTR_NIL_LOCAL` XML Schema: Structures introduces a mechanism for signaling that an element should be accepted as valid when it has no content despite a content type which does not require or even necessarily allow empty content.
`static java.lang.String` | `XSI_ATTR_NIL_QNAME` XML Schema: Structures introduces a mechanism for signaling that an element should be accepted as valid when it has no content despite a content type which does not require or even necessarily allow empty content.
`static javax.xml.namespace.QName` | `XSI_ATTR_NONAMESPACESCHEMALOCATION` The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment.
`static java.lang.String` | `XSI_ATTR_NONAMESPACESCHEMALOCATION_LOCAL` The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment.
`static java.lang.String` | `XSI_ATTR_NONAMESPACESCHEMALOCATION_QNAME` The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment.
`static javax.xml.namespace.QName` | `XSI_ATTR_SCHEMALOCATION` The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment.
`static java.lang.String` | `XSI_ATTR_SCHEMALOCATION_LOCAL` The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment.
`static java.lang.String` | `XSI_ATTR_SCHEMALOCATION_QNAME` The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment.
`static javax.xml.namespace.QName` | `XSI_ATTR_TYPE` The Simple Type Definition (�2.2.1.2) or Complex Type Definition (�2.2.1.3) used in validation of an element is usually determined by reference to the appropriate schema components.
`static java.lang.String` | `XSI_ATTR_TYPE_LOCAL` The Simple Type Definition (�2.2.1.2) or Complex Type Definition (�2.2.1.3) used in validation of an element is usually determined by reference to the appropriate schema components.
`static java.lang.String` | `XSI_ATTR_TYPE_QNAME` The Simple Type Definition (�2.2.1.2) or Complex Type Definition (�2.2.1.3) used in validation of an element is usually determined by reference to the appropriate schema components.
`static java.lang.String` | `XSI_FALSE` Value of the boolean `false`
`static java.lang.String` | `XSI_NAMESPACE_URI` Namespace URI for the XML schema instance namespace
`static java.lang.String` | `XSI_NS` Namespace prefix for the XML Schema instance namespace
`static java.lang.String` | `XSI_TRUE` Value of the boolean `true`
`static java.lang.String` | `XSLT_CONTENT_TYPE` XSLT mime type
`static java.lang.String` | `YES` Value to enable a feature

Field Detail

### XINCLUDE_NAMESPACE_URI

    static final java.lang.String XINCLUDE_NAMESPACE_URI

  namespace URI for XInclude processing

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_NS

    static final java.lang.String XINCLUDE_NS

  XInclude namespace prefix

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_INCLUDE_LOCAL

    static final java.lang.String XINCLUDE_INCLUDE_LOCAL

  http://www.w3.org/TR/xinclude/#include_element

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_INCLUDE_QNAME

    static final javax.xml.namespace.QName XINCLUDE_INCLUDE_QNAME

  http://www.w3.org/TR/xinclude/#include_element

  Since:
    8.5

### XINCLUDE_FALLBACK_LOCAL

    static final java.lang.String XINCLUDE_FALLBACK_LOCAL

  http://www.w3.org/TR/xinclude/#fallback_element

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_FALLBACK_QNAME

    static final javax.xml.namespace.QName XINCLUDE_FALLBACK_QNAME

  http://www.w3.org/TR/xinclude/#fallback_element

  Since:
    8.5

### XINCLUDE_ATTR_HREF

    static final java.lang.String XINCLUDE_ATTR_HREF

  Relative reference of the included entity

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_ATTR_PARSE

    static final java.lang.String XINCLUDE_ATTR_PARSE

  Indicates whether to include the resource as parsed XML or as text.

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_ATTR_XPOINTER

    static final java.lang.String XINCLUDE_ATTR_XPOINTER

  When parse="xml", the XPointer (see [XPointer Framework]) contained in the xpointer attribute is evaluated to identify a portion of the resource to include. This attribute is optional; when omitted, the entire resource is included. The xpointer attribute must not be present when parse="text". If the xpointer attribute is absent, the href attribute must be present.

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_ATTR_ENCODING

    static final java.lang.String XINCLUDE_ATTR_ENCODING

  When parse="text", it is sometimes impossible to correctly detect the encoding of the text resource. The encoding attribute specifies how the resource is to be translated. The value of this attribute should be a valid encoding name. The encoding attribute has no effect when parse="xml". *

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_ATTR_ACCEPT

    static final java.lang.String XINCLUDE_ATTR_ACCEPT

  The value of the accept attribute may be used by the XInclude processor to aid in content negotiation.

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_ATTR_ACCEPT_LANGUAGE

    static final java.lang.String XINCLUDE_ATTR_ACCEPT_LANGUAGE

  The value of the accept-language attribute may be used by the XInclude processor to aid in content negotiation. *

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_ATTR_PARSE_XML

    static final java.lang.String XINCLUDE_ATTR_PARSE_XML

  Parsing type "xml"

  Since:
    8.5
  See Also:
    Constant Field Values

### XINCLUDE_ATTR_PARSE_TEXT

    static final java.lang.String XINCLUDE_ATTR_PARSE_TEXT

  Parsing type "text"

  Since:
    8.5
  See Also:
    Constant Field Values

### DEFAULT_NAMESPACE_URI

    static final java.lang.String DEFAULT_NAMESPACE_URI

  the default namespace is not mapped

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_NAMESPACE_URI

    static final java.lang.String XML_NAMESPACE_URI

  XML base namespace. Per spec: "The prefix xml is by definition bound to the namespace name http://www.w3.org/XML/1998/namespace. It MAY, but need not, be declared, and MUST NOT be undeclared or bound to any other namespace name. Other prefixes MUST NOT be bound to this namespace name, and it MUST NOT be declared as the default namespace."

  See Also:
    `http://www.w3.org/TR/xml-names11/`, Constant Field Values

### XMLNS_NAMESPACE_URI

    static final java.lang.String XMLNS_NAMESPACE_URI

  The prefix xmlns: was specified as a syntactic device for declaring namespaces, but was not itself associated with any namespace name by the Jan 1999 namespaces specfication. But in some processing contexts, e.g. DOM, it is useful to represent all XML attributes as (namespace name, local name) pairs. For this purpose, the namespace name http://www.w3.org/2000/xmlns/ is assigned.

  See Also:
    Constant Field Values

### XML_NS

    static final java.lang.String XML_NS

  XML prefix

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_ATTR_LANG_LOCAL

    static final java.lang.String XML_ATTR_LANG_LOCAL

  Designed for identifying the human language used in the scope of the element to which it's attached.

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_ATTR_LANG_QNAME

    static final java.lang.String XML_ATTR_LANG_QNAME

  XML base namespace

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_ATTR_LANG

    static final javax.xml.namespace.QName XML_ATTR_LANG

  QName representation of `#ATTR_XML_LANG_LOCAL` http://www.opentag.com/xfaq_lang.htm

  Since:
    6.1.0.3

### XML_ATTR_SPACE_LOCAL

    static final java.lang.String XML_ATTR_SPACE_LOCAL

  Designed to express whether or not the document's creator wishes white space to be considered as significant in the scope of the element to which it's attached.

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_ATTR_SPACE_QNAME

    static final java.lang.String XML_ATTR_SPACE_QNAME

  XML base namespace

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_ATTR_SPACE

    static final javax.xml.namespace.QName XML_ATTR_SPACE

  QName representation of `#ATTR_XML_SPACE_LOCAL`

  Since:
    6.1.0.3

### XML_ATTR_ID_LOCAL

    static final java.lang.String XML_ATTR_ID_LOCAL

  The xml:id specification defines a single attribute, xml:id, known to be of type ID independently of any DTD or schema.

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_ATTR_ID_QNAME

    static final java.lang.String XML_ATTR_ID_QNAME

  XML base namespace

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### XML_ATTR_ID

    static final javax.xml.namespace.QName XML_ATTR_ID

  QName representation of `#ATTR_XML_ID_LOCAL`

  Since:
    6.1.0.3

### XML_ATTR_BASE_LOCAL

    static final java.lang.String XML_ATTR_BASE_LOCAL

  The XML Base specification describes a facility, similar to that of HTML BASE, for defining base URIs for parts of XML documents. It defines a single attribute, xml:base, and describes in detail the procedure for its use in processing relative URI refeferences.

  Since:
    6.1.0.3
  See Also:
    `http://www.w3.org/XML/1998/namespace`, Constant Field Values

### XML_ATTR_BASE_QNAME

    static final java.lang.String XML_ATTR_BASE_QNAME

  XML base namespace

  Since:
    6.1.0.3
  See Also:
    Constant Field Values

### ATTR_XML_BASE

    @Deprecated
    static final java.lang.String ATTR_XML_BASE

  Deprecated. use `XML_ATTR_BASE_QNAME` instead
  XML base namespace

  See Also:
    Constant Field Values

### XML_ATTR_BASE

    static final javax.xml.namespace.QName XML_ATTR_BASE

  QName representation of `#ATTR_XML_BASE_LOCAL`. `ATTR_XML_BASE`.

  Since:
    6.1.0.3

### XML_CONTENT_TYPE

    static final java.lang.String XML_CONTENT_TYPE

  XML mime type

  See Also:
    Constant Field Values

### XSLT_CONTENT_TYPE

    static final java.lang.String XSLT_CONTENT_TYPE

  XSLT mime type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### PI_XML_STYLESHEET

    static final java.lang.String PI_XML_STYLESHEET

  Processing instruction for assign an XSLT to an XML file http://www.w3.org/TR/xml-stylesheet/

  Since:
    8.0
  See Also:
    Constant Field Values

### PI_XML

    static final java.lang.String PI_XML

  Processing instruction for the XML entity

  Since:
    8.0
  See Also:
    Constant Field Values

### ATTR_SPACE_DEFAULT

    static final java.lang.String ATTR_SPACE_DEFAULT

  http://www.w3.org/TR/xml11/#sec-white-space The value "default" signals that applications' default white-space processing modes are acceptable for this element.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### ATTR_SPACE_PRESERVE

    static final java.lang.String ATTR_SPACE_PRESERVE

  http://www.w3.org/TR/xml11/#sec-white-space The value "preserve" indicates the intent that applications preserve all the white space.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### ATTR_TYPE_CDATA

    static final java.lang.String ATTR_TYPE_CDATA

  http://www.w3.org/TR/xml/#dt-chardata

  See Also:
    Constant Field Values

### ATTR_TYPE_ID

    static final java.lang.String ATTR_TYPE_ID

  http://www.w3.org/TR/xml/#NT-Name

  See Also:
    Constant Field Values

### ATTR_TYPE_IDREF

    static final java.lang.String ATTR_TYPE_IDREF

  http://www.w3.org/TR/xml/#NT-Name

  See Also:
    Constant Field Values

### ATTR_TYPE_IDREFS

    static final java.lang.String ATTR_TYPE_IDREFS

  http://www.w3.org/TR/xml/#NT-Names

  See Also:
    Constant Field Values

### ATTR_TYPE_NMTOKEN

    static final java.lang.String ATTR_TYPE_NMTOKEN

  http://www.w3.org/TR/xml/#NT-Nmtoken

  See Also:
    Constant Field Values

### ATTR_TYPE_NMTOKENS

    static final java.lang.String ATTR_TYPE_NMTOKENS

  http://www.w3.org/TR/xml/#NT-Nmtokens

  See Also:
    Constant Field Values

### ATTR_TYPE_ENTITY

    static final java.lang.String ATTR_TYPE_ENTITY

  http://www.w3.org/TR/xml/#NT-Name

  See Also:
    Constant Field Values

### ATTR_TYPE_ENTITIES

    static final java.lang.String ATTR_TYPE_ENTITIES

  http://www.w3.org/TR/xml/#NT-Names

  See Also:
    Constant Field Values

### ATTR_TYPE_NOTATION

    static final java.lang.String ATTR_TYPE_NOTATION

  http://www.w3.org/TR/xml/#NT-NotationType

  See Also:
    Constant Field Values

### METHOD

    static final java.lang.String METHOD

  output method

  See Also:
    Constant Field Values

### METHOD_XML

    static final java.lang.String METHOD_XML

  outputs as xml

  Since:
    7.0
  See Also:
    Constant Field Values

### METHOD_TEXT

    static final java.lang.String METHOD_TEXT

  outputs as text

  Since:
    7.0
  See Also:
    Constant Field Values

### METHOD_HTML

    static final java.lang.String METHOD_HTML

  outputs as html

  Since:
    7.0
  See Also:
    Constant Field Values

### METHOD_XHTML

    static final java.lang.String METHOD_XHTML

  outputs as xhtml

  Since:
    7.0
  See Also:
    Constant Field Values

### YES

    static final java.lang.String YES

  Value to enable a feature

  Since:
    7.0
  See Also:
    Constant Field Values

### NO

    static final java.lang.String NO

  Value to disable a feature

  Since:
    7.0
  See Also:
    Constant Field Values

### INDENT

    static final java.lang.String INDENT

  specifies if the handler indents the output

  Since:
    7.0
  See Also:
    Constant Field Values

### INDENT_YES

    static final java.lang.String INDENT_YES

  indents

  Since:
    7.0
  See Also:
    Constant Field Values

### INDENT_NO

    static final java.lang.String INDENT_NO

  does not indent

  Since:
    7.0
  See Also:
    Constant Field Values

### XS_NS

    static final java.lang.String XS_NS

  Namespace prefix for the XML Schema namespace

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_NAMESPACE_URI

    static final java.lang.String XS_NAMESPACE_URI

  Namespace URI for the XML schema namespace

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_NS

    static final java.lang.String DT_NS

  Namespace prefix for the XML Schema datatype namespace

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_NAMESPACE_URI

    static final java.lang.String DT_NAMESPACE_URI

  Namespace URI for the XML schema datatype namespace

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_NS

    static final java.lang.String XSI_NS

  Namespace prefix for the XML Schema instance namespace

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_NAMESPACE_URI

    static final java.lang.String XSI_NAMESPACE_URI

  Namespace URI for the XML schema instance namespace

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_STRING_LOCAL

    static final java.lang.String XS_TYPE_STRING_LOCAL

  The string datatype represents character strings in XML

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_BOOLEAN_LOCAL

    static final java.lang.String XS_TYPE_BOOLEAN_LOCAL

  boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DECIMAL_LOCAL

    static final java.lang.String XS_TYPE_DECIMAL_LOCAL

  decimal represents a subset of the real numbers, which can be represented by decimal numerals

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_FLOAT_LOCAL

    static final java.lang.String XS_TYPE_FLOAT_LOCAL

  float is patterned after the IEEE single-precision 32-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DOUBLE_LOCAL

    static final java.lang.String XS_TYPE_DOUBLE_LOCAL

  The double datatype is patterned after the IEEE double-precision 64-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DURATION_LOCAL

    static final java.lang.String XS_TYPE_DURATION_LOCAL

  duration represents a duration of time

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DATETIME_LOCAL

    static final java.lang.String XS_TYPE_DATETIME_LOCAL

  dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_TIME_LOCAL

    static final java.lang.String XS_TYPE_TIME_LOCAL

  time represents an instant of time that recurs every day

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DATE_LOCAL

    static final java.lang.String XS_TYPE_DATE_LOCAL

  The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e. '00:00:00', up to but not including '24:00:00' (which is identical with '00:00:00' of the next day). For nontimezoned values, the top-open intervals disjointly cover the nontimezoned timeline, one per day. For timezoned values, the intervals begin at every minute and therefore overlap.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GYEARMONTH_LOCAL

    static final java.lang.String XS_TYPE_GYEARMONTH_LOCAL

  gYearMonth represents a specific gregorian month in a specific gregorian year. The of gYearMonth is the set of Gregorian calendar months as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-month long, non-periodic instances e.g. 1999-10 to represent the whole month of 1999-10, independent of how many days this month has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GYEAR_LOCAL

    static final java.lang.String XS_TYPE_GYEAR_LOCAL

  gYear represents a gregorian calendar year. The of gYear is the set of Gregorian calendar years as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-year long, non-periodic instances e.g. lexical 1999 to represent the whole year 1999, independent of how many months and days this year has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GMONTHDAY_LOCAL

    static final java.lang.String XS_TYPE_GMONTHDAY_LOCAL

  gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May. Arbitrary recurring dates are not supported by this datatype. The of gMonthDay is the set of calendar dates, as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, annually periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GDAY_LOCAL

    static final java.lang.String XS_TYPE_GDAY_LOCAL

  gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month. Arbitrary recurring days are not supported by this datatype. The of gDay is the space of a set of calendar dates as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, monthly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GMONTH_LOCAL

    static final java.lang.String XS_TYPE_GMONTH_LOCAL

  gMonth is a gregorian month that recurs every year. The of gMonth is the space of a set of calendar months as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-month long, yearly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_HEXBINARY_LOCAL

    static final java.lang.String XS_TYPE_HEXBINARY_LOCAL

  hexBinary represents arbitrary hex-encoded binary data. The of hexBinary is the set of finite-length sequences of binary octets.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_BASE64BINARY_LOCAL

    static final java.lang.String XS_TYPE_BASE64BINARY_LOCAL

  base64Binary represents Base64-encoded arbitrary binary data. The value space of base64Binary is the set of finite-length sequences of binary octets. For base64Binary data the entire binary stream is encoded using the Base64 Alphabet in [RFC 2045].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ANYURI_LOCAL

    static final java.lang.String XS_TYPE_ANYURI_LOCAL

  anyURI represents a Uniform Resource Identifier Reference (URI). An anyURI value can be absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type should be used to specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_QNAME_LOCAL

    static final java.lang.String XS_TYPE_QNAME_LOCAL

  QName represents XML qualified names. The of QName is the set of tuples {namespace name, local part}, where namespace name is an anyURI and local part is an NCName. The lexical space of QName is the set of strings that match the QName production of [Namespaces in XML].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NOTATION_LOCAL

    static final java.lang.String XS_TYPE_NOTATION_LOCAL

  NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)]. The of NOTATION is the set of QNames of notations declared in the current schema. The lexical space of NOTATION is the set of all names of notations declared in the current schema (in the form of QNames).

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NORMALIZEDSTRING_LOCAL

    static final java.lang.String XS_TYPE_NORMALIZEDSTRING_LOCAL

  normalizedString represents white space normalized strings. The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The lexical space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The base type of normalizedString is string.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_TOKEN_LOCAL

    static final java.lang.String XS_TYPE_TOKEN_LOCAL

  token represents tokenized strings. The of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The base type of token is normalizedString.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_LANGUAGE_LOCAL

    static final java.lang.String XS_TYPE_LANGUAGE_LOCAL

  language represents natural language identifiers as defined by by [RFC 3066] . The of language is the set of all strings that are valid language identifiers as defined [RFC 3066] . The lexical space of language is the set of all strings that conform to the pattern [a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})* . The base type of language is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NMTOKEN_LOCAL

    static final java.lang.String XS_TYPE_NMTOKEN_LOCAL

  NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)]. The of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The lexical space of NMTOKEN is the set of strings that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NMTOKENS_LOCAL

    static final java.lang.String XS_TYPE_NMTOKENS_LOCAL

  NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)]. The of NMTOKENS is the set of finite, non-zero-length sequences of NMTOKENs. The lexical space of NMTOKENS is the set of space-separated lists of tokens, of which each token is in the lexical space of NMTOKEN. The itemType of NMTOKENS is NMTOKEN.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NAME_LOCAL

    static final java.lang.String XS_TYPE_NAME_LOCAL

  Name represents XML Names. The of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The lexical space of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The base type of Name is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NCNAME_LOCAL

    static final java.lang.String XS_TYPE_NCNAME_LOCAL

  NCName represents XML "non-colonized" Names. The of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The lexical space of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The base type of NCName is Name.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ID_LOCAL

    static final java.lang.String XS_TYPE_ID_LOCAL

  ID represents the ID attribute type from [XML 1.0 (Second Edition)]. The of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ID is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_IDREF_LOCAL

    static final java.lang.String XS_TYPE_IDREF_LOCAL

  IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)]. The of IDREF is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of IDREF is the set of strings that match the NCName production in [Namespaces in XML]. The base type of IDREF is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_IDREFS_LOCAL

    static final java.lang.String XS_TYPE_IDREFS_LOCAL

  IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)]. The of IDREFS is the set of finite, non-zero-length sequences of IDREFs. The lexical space of IDREFS is the set of space-separated lists of tokens, of which each token is in the lexical space of IDREF. The itemType of IDREFS is IDREF.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ENTITY_LOCAL

    static final java.lang.String XS_TYPE_ENTITY_LOCAL

  ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)]. The of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML] and have been declared as an unparsed entity in a document type definition. The lexical space of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ENTITY is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ENTITIES_LOCAL

    static final java.lang.String XS_TYPE_ENTITIES_LOCAL

  ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)]. The of ENTITIES is the set of finite, non-zero-length sequences of ENTITYs that have been declared as unparsed entities in a document type definition. The lexical space of ENTITIES is the set of space-separated lists of tokens, of which each token is in the lexical space of ENTITY. The itemType of ENTITIES is ENTITY.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_INTEGER_LOCAL

    static final java.lang.String XS_TYPE_INTEGER_LOCAL

  integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point. This results in the standard mathematical concept of the integer numbers. The of integer is the infinite set {...,-2,-1,0,1,2,...}. The base type of integer is decimal.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NONPOSITIVEINTEGER_LOCAL

    static final java.lang.String XS_TYPE_NONPOSITIVEINTEGER_LOCAL

  nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0. This results in the standard mathematical concept of the non-positive integers. The of nonPositiveInteger is the infinite set {...,-2,-1,0}. The base type of nonPositiveInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NEGATIVEINTEGER_LOCAL

    static final java.lang.String XS_TYPE_NEGATIVEINTEGER_LOCAL

  negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1. This results in the standard mathematical concept of the negative integers. The of negativeInteger is the infinite set {...,-2,-1}. The base type of negativeInteger is nonPositiveInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_LONG_LOCAL

    static final java.lang.String XS_TYPE_LONG_LOCAL

  long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808. The base type of long is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_INT_LOCAL

    static final java.lang.String XS_TYPE_INT_LOCAL

  int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648. The base type of int is long.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_SHORT_LOCAL

    static final java.lang.String XS_TYPE_SHORT_LOCAL

  short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768. The base type of short is int.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_BYTE_LOCAL

    static final java.lang.String XS_TYPE_BYTE_LOCAL

  byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128. The base type of byte is short.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NONNEGATIVEINTEGER_LOCAL

    static final java.lang.String XS_TYPE_NONNEGATIVEINTEGER_LOCAL

  nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0. This results in the standard mathematical concept of the non-negative integers. The of nonNegativeInteger is the infinite set {0,1,2,...}. The base type of nonNegativeInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDLONG_LOCAL

    static final java.lang.String XS_TYPE_UNSIGNEDLONG_LOCAL

  unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615. The base type of unsignedLong is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDINT_LOCAL

    static final java.lang.String XS_TYPE_UNSIGNEDINT_LOCAL

  unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295. The base type of unsignedInt is unsignedLong.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDSHORT_LOCAL

    static final java.lang.String XS_TYPE_UNSIGNEDSHORT_LOCAL

  unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535. The base type of unsignedShort is unsignedInt.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDBYTE_LOCAL

    static final java.lang.String XS_TYPE_UNSIGNEDBYTE_LOCAL

  unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255. The base type of unsignedByte is unsignedShort.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_POSITIVEINTEGER_LOCAL

    static final java.lang.String XS_TYPE_POSITIVEINTEGER_LOCAL

  positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The of positiveInteger is the infinite set {1,2,...}. The base type of positiveInteger is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_STRING_QNAME

    static final java.lang.String XS_TYPE_STRING_QNAME

  The string datatype represents character strings in XML

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_BOOLEAN_QNAME

    static final java.lang.String XS_TYPE_BOOLEAN_QNAME

  boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DECIMAL_QNAME

    static final java.lang.String XS_TYPE_DECIMAL_QNAME

  decimal represents a subset of the real numbers, which can be represented by decimal numerals

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_FLOAT_QNAME

    static final java.lang.String XS_TYPE_FLOAT_QNAME

  float is patterned after the IEEE single-precision 32-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DOUBLE_QNAME

    static final java.lang.String XS_TYPE_DOUBLE_QNAME

  The double datatype is patterned after the IEEE double-precision 64-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DURATION_QNAME

    static final java.lang.String XS_TYPE_DURATION_QNAME

  duration represents a duration of time

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DATETIME_QNAME

    static final java.lang.String XS_TYPE_DATETIME_QNAME

  dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_TIME_QNAME

    static final java.lang.String XS_TYPE_TIME_QNAME

  time represents an instant of time that recurs every day

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_DATE_QNAME

    static final java.lang.String XS_TYPE_DATE_QNAME

  The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e. '00:00:00', up to but not including '24:00:00' (which is identical with '00:00:00' of the next day). For nontimezoned values, the top-open intervals disjointly cover the nontimezoned timeline, one per day. For timezoned values, the intervals begin at every minute and therefore overlap.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GYEARMONTH_QNAME

    static final java.lang.String XS_TYPE_GYEARMONTH_QNAME

  gYearMonth represents a specific gregorian month in a specific gregorian year. The of gYearMonth is the set of Gregorian calendar months as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-month long, non-periodic instances e.g. 1999-10 to represent the whole month of 1999-10, independent of how many days this month has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GYEAR_QNAME

    static final java.lang.String XS_TYPE_GYEAR_QNAME

  gYear represents a gregorian calendar year. The of gYear is the set of Gregorian calendar years as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-year long, non-periodic instances e.g. lexical 1999 to represent the whole year 1999, independent of how many months and days this year has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GMONTHDAY_QNAME

    static final java.lang.String XS_TYPE_GMONTHDAY_QNAME

  gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May. Arbitrary recurring dates are not supported by this datatype. The of gMonthDay is the set of calendar dates, as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, annually periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GDAY_QNAME

    static final java.lang.String XS_TYPE_GDAY_QNAME

  gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month. Arbitrary recurring days are not supported by this datatype. The of gDay is the space of a set of calendar dates as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, monthly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_GMONTH_QNAME

    static final java.lang.String XS_TYPE_GMONTH_QNAME

  gMonth is a gregorian month that recurs every year. The of gMonth is the space of a set of calendar months as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-month long, yearly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_HEXBINARY_QNAME

    static final java.lang.String XS_TYPE_HEXBINARY_QNAME

  hexBinary represents arbitrary hex-encoded binary data. The of hexBinary is the set of finite-length sequences of binary octets.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_BASE64BINARY_QNAME

    static final java.lang.String XS_TYPE_BASE64BINARY_QNAME

  base64Binary represents Base64-encoded arbitrary binary data. The value space of base64Binary is the set of finite-length sequences of binary octets. For base64Binary data the entire binary stream is encoded using the Base64 Alphabet in [RFC 2045].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ANYURI_QNAME

    static final java.lang.String XS_TYPE_ANYURI_QNAME

  anyURI represents a Uniform Resource Identifier Reference (URI). An anyURI value can be absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type should be used to specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_QNAME_QNAME

    static final java.lang.String XS_TYPE_QNAME_QNAME

  QName represents XML qualified names. The of QName is the set of tuples {namespace name, local part}, where namespace name is an anyURI and local part is an NCName. The lexical space of QName is the set of strings that match the QName production of [Namespaces in XML].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NOTATION_QNAME

    static final java.lang.String XS_TYPE_NOTATION_QNAME

  NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)]. The of NOTATION is the set of QNames of notations declared in the current schema. The lexical space of NOTATION is the set of all names of notations declared in the current schema (in the form of QNames).

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NORMALIZEDSTRING_QNAME

    static final java.lang.String XS_TYPE_NORMALIZEDSTRING_QNAME

  normalizedString represents white space normalized strings. The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The lexical space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The base type of normalizedString is string.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_TOKEN_QNAME

    static final java.lang.String XS_TYPE_TOKEN_QNAME

  token represents tokenized strings. The of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The base type of token is normalizedString.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_LANGUAGE_QNAME

    static final java.lang.String XS_TYPE_LANGUAGE_QNAME

  language represents natural language identifiers as defined by by [RFC 3066] . The of language is the set of all strings that are valid language identifiers as defined [RFC 3066] . The lexical space of language is the set of all strings that conform to the pattern [a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})* . The base type of language is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NMTOKEN_QNAME

    static final java.lang.String XS_TYPE_NMTOKEN_QNAME

  NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)]. The of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The lexical space of NMTOKEN is the set of strings that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NMTOKENS_QNAME

    static final java.lang.String XS_TYPE_NMTOKENS_QNAME

  NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)]. The of NMTOKENS is the set of finite, non-zero-length sequences of NMTOKENs. The lexical space of NMTOKENS is the set of space-separated lists of tokens, of which each token is in the lexical space of NMTOKEN. The itemType of NMTOKENS is NMTOKEN.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NAME_QNAME

    static final java.lang.String XS_TYPE_NAME_QNAME

  Name represents XML Names. The of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The lexical space of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The base type of Name is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NCNAME_QNAME

    static final java.lang.String XS_TYPE_NCNAME_QNAME

  NCName represents XML "non-colonized" Names. The of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The lexical space of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The base type of NCName is Name.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ID_QNAME

    static final java.lang.String XS_TYPE_ID_QNAME

  ID represents the ID attribute type from [XML 1.0 (Second Edition)]. The of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ID is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_IDREF_QNAME

    static final java.lang.String XS_TYPE_IDREF_QNAME

  IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)]. The of IDREF is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of IDREF is the set of strings that match the NCName production in [Namespaces in XML]. The base type of IDREF is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_IDREFS_QNAME

    static final java.lang.String XS_TYPE_IDREFS_QNAME

  IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)]. The of IDREFS is the set of finite, non-zero-length sequences of IDREFs. The lexical space of IDREFS is the set of space-separated lists of tokens, of which each token is in the lexical space of IDREF. The itemType of IDREFS is IDREF.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ENTITY_QNAME

    static final java.lang.String XS_TYPE_ENTITY_QNAME

  ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)]. The of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML] and have been declared as an unparsed entity in a document type definition. The lexical space of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ENTITY is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_ENTITIES_QNAME

    static final java.lang.String XS_TYPE_ENTITIES_QNAME

  ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)]. The of ENTITIES is the set of finite, non-zero-length sequences of ENTITYs that have been declared as unparsed entities in a document type definition. The lexical space of ENTITIES is the set of space-separated lists of tokens, of which each token is in the lexical space of ENTITY. The itemType of ENTITIES is ENTITY.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_INTEGER_QNAME

    static final java.lang.String XS_TYPE_INTEGER_QNAME

  integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point. This results in the standard mathematical concept of the integer numbers. The of integer is the infinite set {...,-2,-1,0,1,2,...}. The base type of integer is decimal.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NONPOSITIVEINTEGER_QNAME

    static final java.lang.String XS_TYPE_NONPOSITIVEINTEGER_QNAME

  nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0. This results in the standard mathematical concept of the non-positive integers. The of nonPositiveInteger is the infinite set {...,-2,-1,0}. The base type of nonPositiveInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NEGATIVEINTEGER_QNAME

    static final java.lang.String XS_TYPE_NEGATIVEINTEGER_QNAME

  negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1. This results in the standard mathematical concept of the negative integers. The of negativeInteger is the infinite set {...,-2,-1}. The base type of negativeInteger is nonPositiveInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_LONG_QNAME

    static final java.lang.String XS_TYPE_LONG_QNAME

  long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808. The base type of long is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_INT_QNAME

    static final java.lang.String XS_TYPE_INT_QNAME

  int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648. The base type of int is long.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_SHORT_QNAME

    static final java.lang.String XS_TYPE_SHORT_QNAME

  short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768. The base type of short is int.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_BYTE_QNAME

    static final java.lang.String XS_TYPE_BYTE_QNAME

  byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128. The base type of byte is short.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_NONNEGATIVEINTEGER_QNAME

    static final java.lang.String XS_TYPE_NONNEGATIVEINTEGER_QNAME

  nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0. This results in the standard mathematical concept of the non-negative integers. The of nonNegativeInteger is the infinite set {0,1,2,...}. The base type of nonNegativeInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDLONG_QNAME

    static final java.lang.String XS_TYPE_UNSIGNEDLONG_QNAME

  unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615. The base type of unsignedLong is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDINT_QNAME

    static final java.lang.String XS_TYPE_UNSIGNEDINT_QNAME

  unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295. The base type of unsignedInt is unsignedLong.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDSHORT_QNAME

    static final java.lang.String XS_TYPE_UNSIGNEDSHORT_QNAME

  unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535. The base type of unsignedShort is unsignedInt.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_UNSIGNEDBYTE_QNAME

    static final java.lang.String XS_TYPE_UNSIGNEDBYTE_QNAME

  unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255. The base type of unsignedByte is unsignedShort.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_POSITIVEINTEGER_QNAME

    static final java.lang.String XS_TYPE_POSITIVEINTEGER_QNAME

  positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The of positiveInteger is the infinite set {1,2,...}. The base type of positiveInteger is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XS_TYPE_STRING

    static final javax.xml.namespace.QName XS_TYPE_STRING

  The string datatype represents character strings in XML

  Since:
    7.0.0.2

### XS_TYPE_BOOLEAN

    static final javax.xml.namespace.QName XS_TYPE_BOOLEAN

  boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.

  Since:
    7.0.0.2

### XS_TYPE_DECIMAL

    static final javax.xml.namespace.QName XS_TYPE_DECIMAL

  decimal represents a subset of the real numbers, which can be represented by decimal numerals

  Since:
    7.0.0.2

### XS_TYPE_FLOAT

    static final javax.xml.namespace.QName XS_TYPE_FLOAT

  float is patterned after the IEEE single-precision 32-bit floating point type

  Since:
    7.0.0.2

### XS_TYPE_DOUBLE

    static final javax.xml.namespace.QName XS_TYPE_DOUBLE

  The double datatype is patterned after the IEEE double-precision 64-bit floating point type

  Since:
    7.0.0.2

### XS_TYPE_DURATION

    static final javax.xml.namespace.QName XS_TYPE_DURATION

  duration represents a duration of time

  Since:
    7.0.0.2

### XS_TYPE_DATETIME

    static final javax.xml.namespace.QName XS_TYPE_DATETIME

  dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property

  Since:
    7.0.0.2

### XS_TYPE_TIME

    static final javax.xml.namespace.QName XS_TYPE_TIME

  time represents an instant of time that recurs every day

  Since:
    7.0.0.2

### XS_TYPE_DATE

    static final javax.xml.namespace.QName XS_TYPE_DATE

  The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e. '00:00:00', up to but not including '24:00:00' (which is identical with '00:00:00' of the next day). For nontimezoned values, the top-open intervals disjointly cover the nontimezoned timeline, one per day. For timezoned values, the intervals begin at every minute and therefore overlap.

  Since:
    7.0.0.2

### XS_TYPE_GYEARMONTH

    static final javax.xml.namespace.QName XS_TYPE_GYEARMONTH

  gYearMonth represents a specific gregorian month in a specific gregorian year. The of gYearMonth is the set of Gregorian calendar months as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-month long, non-periodic instances e.g. 1999-10 to represent the whole month of 1999-10, independent of how many days this month has.

  Since:
    7.0.0.2

### XS_TYPE_GYEAR

    static final javax.xml.namespace.QName XS_TYPE_GYEAR

  gYear represents a gregorian calendar year. The of gYear is the set of Gregorian calendar years as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-year long, non-periodic instances e.g. lexical 1999 to represent the whole year 1999, independent of how many months and days this year has.

  Since:
    7.0.0.2

### XS_TYPE_GMONTHDAY

    static final javax.xml.namespace.QName XS_TYPE_GMONTHDAY

  gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May. Arbitrary recurring dates are not supported by this datatype. The of gMonthDay is the set of calendar dates, as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, annually periodic instances.

  Since:
    7.0.0.2

### XS_TYPE_GDAY

    static final javax.xml.namespace.QName XS_TYPE_GDAY

  gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month. Arbitrary recurring days are not supported by this datatype. The of gDay is the space of a set of calendar dates as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, monthly periodic instances.

  Since:
    7.0.0.2

### XS_TYPE_GMONTH

    static final javax.xml.namespace.QName XS_TYPE_GMONTH

  gMonth is a gregorian month that recurs every year. The of gMonth is the space of a set of calendar months as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-month long, yearly periodic instances.

  Since:
    7.0.0.2

### XS_TYPE_HEXBINARY

    static final javax.xml.namespace.QName XS_TYPE_HEXBINARY

  hexBinary represents arbitrary hex-encoded binary data. The of hexBinary is the set of finite-length sequences of binary octets.

  Since:
    7.0.0.2

### XS_TYPE_BASE64BINARY

    static final javax.xml.namespace.QName XS_TYPE_BASE64BINARY

  base64Binary represents Base64-encoded arbitrary binary data. The value space of base64Binary is the set of finite-length sequences of binary octets. For base64Binary data the entire binary stream is encoded using the Base64 Alphabet in [RFC 2045].

  Since:
    7.0.0.2

### XS_TYPE_ANYURI

    static final javax.xml.namespace.QName XS_TYPE_ANYURI

  anyURI represents a Uniform Resource Identifier Reference (URI). An anyURI value can be absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type should be used to specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732].

  Since:
    7.0.0.2

### XS_TYPE_QNAME

    static final javax.xml.namespace.QName XS_TYPE_QNAME

  QName represents XML qualified names. The of QName is the set of tuples {namespace name, local part}, where namespace name is an anyURI and local part is an NCName. The lexical space of QName is the set of strings that match the QName production of [Namespaces in XML].

  Since:
    7.0.0.2

### XS_TYPE_NOTATION

    static final javax.xml.namespace.QName XS_TYPE_NOTATION

  NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)]. The of NOTATION is the set of QNames of notations declared in the current schema. The lexical space of NOTATION is the set of all names of notations declared in the current schema (in the form of QNames).

  Since:
    7.0.0.2

### XS_TYPE_NORMALIZEDSTRING

    static final javax.xml.namespace.QName XS_TYPE_NORMALIZEDSTRING

  normalizedString represents white space normalized strings. The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The lexical space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The base type of normalizedString is string.

  Since:
    7.0.0.2

### XS_TYPE_TOKEN

    static final javax.xml.namespace.QName XS_TYPE_TOKEN

  token represents tokenized strings. The of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The base type of token is normalizedString.

  Since:
    7.0.0.2

### XS_TYPE_LANGUAGE

    static final javax.xml.namespace.QName XS_TYPE_LANGUAGE

  language represents natural language identifiers as defined by by [RFC 3066] . The of language is the set of all strings that are valid language identifiers as defined [RFC 3066] . The lexical space of language is the set of all strings that conform to the pattern [a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})* . The base type of language is token.

  Since:
    7.0.0.2

### XS_TYPE_NMTOKEN

    static final javax.xml.namespace.QName XS_TYPE_NMTOKEN

  NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)]. The of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The lexical space of NMTOKEN is the set of strings that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

  Since:
    7.0.0.2

### XS_TYPE_NMTOKENS

    static final javax.xml.namespace.QName XS_TYPE_NMTOKENS

  NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)]. The of NMTOKENS is the set of finite, non-zero-length sequences of NMTOKENs. The lexical space of NMTOKENS is the set of space-separated lists of tokens, of which each token is in the lexical space of NMTOKEN. The itemType of NMTOKENS is NMTOKEN.

  Since:
    7.0.0.2

### XS_TYPE_NAME

    static final javax.xml.namespace.QName XS_TYPE_NAME

  Name represents XML Names. The of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The lexical space of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The base type of Name is token.

  Since:
    7.0.0.2

### XS_TYPE_NCNAME

    static final javax.xml.namespace.QName XS_TYPE_NCNAME

  NCName represents XML "non-colonized" Names. The of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The lexical space of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The base type of NCName is Name.

  Since:
    7.0.0.2

### XS_TYPE_ID

    static final javax.xml.namespace.QName XS_TYPE_ID

  ID represents the ID attribute type from [XML 1.0 (Second Edition)]. The of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ID is NCName.

  Since:
    7.0.0.2

### XS_TYPE_IDREF

    static final javax.xml.namespace.QName XS_TYPE_IDREF

  IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)]. The of IDREF is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of IDREF is the set of strings that match the NCName production in [Namespaces in XML]. The base type of IDREF is NCName.

  Since:
    7.0.0.2

### XS_TYPE_IDREFS

    static final javax.xml.namespace.QName XS_TYPE_IDREFS

  IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)]. The of IDREFS is the set of finite, non-zero-length sequences of IDREFs. The lexical space of IDREFS is the set of space-separated lists of tokens, of which each token is in the lexical space of IDREF. The itemType of IDREFS is IDREF.

  Since:
    7.0.0.2

### XS_TYPE_ENTITY

    static final javax.xml.namespace.QName XS_TYPE_ENTITY

  ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)]. The of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML] and have been declared as an unparsed entity in a document type definition. The lexical space of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ENTITY is NCName.

  Since:
    7.0.0.2

### XS_TYPE_ENTITIES

    static final javax.xml.namespace.QName XS_TYPE_ENTITIES

  ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)]. The of ENTITIES is the set of finite, non-zero-length sequences of ENTITYs that have been declared as unparsed entities in a document type definition. The lexical space of ENTITIES is the set of space-separated lists of tokens, of which each token is in the lexical space of ENTITY. The itemType of ENTITIES is ENTITY.

  Since:
    7.0.0.2

### XS_TYPE_INTEGER

    static final javax.xml.namespace.QName XS_TYPE_INTEGER

  integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point. This results in the standard mathematical concept of the integer numbers. The of integer is the infinite set {...,-2,-1,0,1,2,...}. The base type of integer is decimal.

  Since:
    7.0.0.2

### XS_TYPE_NONPOSITIVEINTEGER

    static final javax.xml.namespace.QName XS_TYPE_NONPOSITIVEINTEGER

  nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0. This results in the standard mathematical concept of the non-positive integers. The of nonPositiveInteger is the infinite set {...,-2,-1,0}. The base type of nonPositiveInteger is integer.

  Since:
    7.0.0.2

### XS_TYPE_NEGATIVEINTEGER

    static final javax.xml.namespace.QName XS_TYPE_NEGATIVEINTEGER

  negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1. This results in the standard mathematical concept of the negative integers. The of negativeInteger is the infinite set {...,-2,-1}. The base type of negativeInteger is nonPositiveInteger.

  Since:
    7.0.0.2

### XS_TYPE_LONG

    static final javax.xml.namespace.QName XS_TYPE_LONG

  long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808. The base type of long is integer.

  Since:
    7.0.0.2

### XS_TYPE_INT

    static final javax.xml.namespace.QName XS_TYPE_INT

  int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648. The base type of int is long.

  Since:
    7.0.0.2

### XS_TYPE_SHORT

    static final javax.xml.namespace.QName XS_TYPE_SHORT

  short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768. The base type of short is int.

  Since:
    7.0.0.2

### XS_TYPE_BYTE

    static final javax.xml.namespace.QName XS_TYPE_BYTE

  byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128. The base type of byte is short.

  Since:
    7.0.0.2

### XS_TYPE_NONNEGATIVEINTEGER

    static final javax.xml.namespace.QName XS_TYPE_NONNEGATIVEINTEGER

  nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0. This results in the standard mathematical concept of the non-negative integers. The of nonNegativeInteger is the infinite set {0,1,2,...}. The base type of nonNegativeInteger is integer.

  Since:
    7.0.0.2

### XS_TYPE_UNSIGNEDLONG

    static final javax.xml.namespace.QName XS_TYPE_UNSIGNEDLONG

  unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615. The base type of unsignedLong is nonNegativeInteger.

  Since:
    7.0.0.2

### XS_TYPE_UNSIGNEDINT

    static final javax.xml.namespace.QName XS_TYPE_UNSIGNEDINT

  unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295. The base type of unsignedInt is unsignedLong.

  Since:
    7.0.0.2

### XS_TYPE_UNSIGNEDSHORT

    static final javax.xml.namespace.QName XS_TYPE_UNSIGNEDSHORT

  unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535. The base type of unsignedShort is unsignedInt.

  Since:
    7.0.0.2

### XS_TYPE_UNSIGNEDBYTE

    static final javax.xml.namespace.QName XS_TYPE_UNSIGNEDBYTE

  unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255. The base type of unsignedByte is unsignedShort.

  Since:
    7.0.0.2

### XS_TYPE_POSITIVEINTEGER

    static final javax.xml.namespace.QName XS_TYPE_POSITIVEINTEGER

  positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The of positiveInteger is the infinite set {1,2,...}. The base type of positiveInteger is nonNegativeInteger.

  Since:
    7.0.0.2

### XSI_ATTR_NIL_LOCAL

    static final java.lang.String XSI_ATTR_NIL_LOCAL

  XML Schema: Structures introduces a mechanism for signaling that an element should be accepted as valid when it has no content despite a content type which does not require or even necessarily allow empty content. An element may be valid without content if it has the attribute xsi:nil with the value true. An element so labeled must be empty, but can carry attributes if permitted by the corresponding complex type.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_TYPE_LOCAL

    static final java.lang.String XSI_ATTR_TYPE_LOCAL

  The Simple Type Definition (�2.2.1.2) or Complex Type Definition (�2.2.1.3) used in validation of an element is usually determined by reference to the appropriate schema components. An element information item in an instance may, however, explicitly assert its type using the attribute xsi:type. The value of this attribute is a QName; see QName Interpretation (�3.15.3) for the means by which the QName is associated with a type definition.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_SCHEMALOCATION_LOCAL

    static final java.lang.String XSI_ATTR_SCHEMALOCATION_LOCAL

  The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment. See How schema definitions are located on the Web (�4.3.2) for details on the use of these attributes. previous sub-section

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_NONAMESPACESCHEMALOCATION_LOCAL

    static final java.lang.String XSI_ATTR_NONAMESPACESCHEMALOCATION_LOCAL

  The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment. See How schema definitions are located on the Web (�4.3.2) for details on the use of these attributes. previous sub-section

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_NIL_QNAME

    static final java.lang.String XSI_ATTR_NIL_QNAME

  XML Schema: Structures introduces a mechanism for signaling that an element should be accepted as valid when it has no content despite a content type which does not require or even necessarily allow empty content. An element may be valid without content if it has the attribute xsi:nil with the value true. An element so labeled must be empty, but can carry attributes if permitted by the corresponding complex type.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_TYPE_QNAME

    static final java.lang.String XSI_ATTR_TYPE_QNAME

  The Simple Type Definition (�2.2.1.2) or Complex Type Definition (�2.2.1.3) used in validation of an element is usually determined by reference to the appropriate schema components. An element information item in an instance may, however, explicitly assert its type using the attribute xsi:type. The value of this attribute is a QName; see QName Interpretation (�3.15.3) for the means by which the QName is associated with a type definition.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_SCHEMALOCATION_QNAME

    static final java.lang.String XSI_ATTR_SCHEMALOCATION_QNAME

  The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment. See How schema definitions are located on the Web (�4.3.2) for details on the use of these attributes. previous sub-section

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_NONAMESPACESCHEMALOCATION_QNAME

    static final java.lang.String XSI_ATTR_NONAMESPACESCHEMALOCATION_QNAME

  The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment. See How schema definitions are located on the Web (�4.3.2) for details on the use of these attributes. previous sub-section

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_ATTR_NIL

    static final javax.xml.namespace.QName XSI_ATTR_NIL

  XML Schema: Structures introduces a mechanism for signaling that an element should be accepted as valid when it has no content despite a content type which does not require or even necessarily allow empty content. An element may be valid without content if it has the attribute xsi:nil with the value true. An element so labeled must be empty, but can carry attributes if permitted by the corresponding complex type.

  Since:
    7.0.0.2

### XSI_ATTR_TYPE

    static final javax.xml.namespace.QName XSI_ATTR_TYPE

  The Simple Type Definition (�2.2.1.2) or Complex Type Definition (�2.2.1.3) used in validation of an element is usually determined by reference to the appropriate schema components. An element information item in an instance may, however, explicitly assert its type using the attribute xsi:type. The value of this attribute is a QName; see QName Interpretation (�3.15.3) for the means by which the QName is associated with a type definition.

  Since:
    7.0.0.2

### XSI_ATTR_SCHEMALOCATION

    static final javax.xml.namespace.QName XSI_ATTR_SCHEMALOCATION

  The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment. See How schema definitions are located on the Web (�4.3.2) for details on the use of these attributes. previous sub-section

  Since:
    7.0.0.2

### XSI_ATTR_NONAMESPACESCHEMALOCATION

    static final javax.xml.namespace.QName XSI_ATTR_NONAMESPACESCHEMALOCATION

  The xsi:schemaLocation and xsi:noNamespaceSchemaLocation attributes can be used in a document to provide hints as to the physical location of schema documents which may be used for assessment. See How schema definitions are located on the Web (�4.3.2) for details on the use of these attributes. previous sub-section

  Since:
    7.0.0.2

### XSI_TRUE

    static final java.lang.String XSI_TRUE

  Value of the boolean `true`

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### XSI_FALSE

    static final java.lang.String XSI_FALSE

  Value of the boolean `false`

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_STRING_LOCAL

    static final java.lang.String DT_TYPE_STRING_LOCAL

  The string datatype represents character strings in XML

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_BOOLEAN_LOCAL

    static final java.lang.String DT_TYPE_BOOLEAN_LOCAL

  boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DECIMAL_LOCAL

    static final java.lang.String DT_TYPE_DECIMAL_LOCAL

  decimal represents a subset of the real numbers, which can be represented by decimal numerals

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_FLOAT_LOCAL

    static final java.lang.String DT_TYPE_FLOAT_LOCAL

  float is patterned after the IEEE single-precision 32-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DOUBLE_LOCAL

    static final java.lang.String DT_TYPE_DOUBLE_LOCAL

  The double datatype is patterned after the IEEE double-precision 64-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DURATION_LOCAL

    static final java.lang.String DT_TYPE_DURATION_LOCAL

  duration represents a duration of time

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DATETIME_LOCAL

    static final java.lang.String DT_TYPE_DATETIME_LOCAL

  dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_TIME_LOCAL

    static final java.lang.String DT_TYPE_TIME_LOCAL

  time represents an instant of time that recurs every day

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DATE_LOCAL

    static final java.lang.String DT_TYPE_DATE_LOCAL

  The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e. '00:00:00', up to but not including '24:00:00' (which is identical with '00:00:00' of the next day). For nontimezoned values, the top-open intervals disjointly cover the nontimezoned timeline, one per day. For timezoned values, the intervals begin at every minute and therefore overlap.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GYEARMONTH_LOCAL

    static final java.lang.String DT_TYPE_GYEARMONTH_LOCAL

  gYearMonth represents a specific gregorian month in a specific gregorian year. The of gYearMonth is the set of Gregorian calendar months as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-month long, non-periodic instances e.g. 1999-10 to represent the whole month of 1999-10, independent of how many days this month has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GYEAR_LOCAL

    static final java.lang.String DT_TYPE_GYEAR_LOCAL

  gYear represents a gregorian calendar year. The of gYear is the set of Gregorian calendar years as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-year long, non-periodic instances e.g. lexical 1999 to represent the whole year 1999, independent of how many months and days this year has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GMONTHDAY_LOCAL

    static final java.lang.String DT_TYPE_GMONTHDAY_LOCAL

  gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May. Arbitrary recurring dates are not supported by this datatype. The of gMonthDay is the set of calendar dates, as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, annually periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GDAY_LOCAL

    static final java.lang.String DT_TYPE_GDAY_LOCAL

  gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month. Arbitrary recurring days are not supported by this datatype. The of gDay is the space of a set of calendar dates as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, monthly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GMONTH_LOCAL

    static final java.lang.String DT_TYPE_GMONTH_LOCAL

  gMonth is a gregorian month that recurs every year. The of gMonth is the space of a set of calendar months as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-month long, yearly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_HEXBINARY_LOCAL

    static final java.lang.String DT_TYPE_HEXBINARY_LOCAL

  hexBinary represents arbitrary hex-encoded binary data. The of hexBinary is the set of finite-length sequences of binary octets.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_BASE64BINARY_LOCAL

    static final java.lang.String DT_TYPE_BASE64BINARY_LOCAL

  base64Binary represents Base64-encoded arbitrary binary data. The value space of base64Binary is the set of finite-length sequences of binary octets. For base64Binary data the entire binary stream is encoded using the Base64 Alphabet in [RFC 2045].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ANYURI_LOCAL

    static final java.lang.String DT_TYPE_ANYURI_LOCAL

  anyURI represents a Uniform Resource Identifier Reference (URI). An anyURI value can be absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type should be used to specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_QNAME_LOCAL

    static final java.lang.String DT_TYPE_QNAME_LOCAL

  QName represents XML qualified names. The of QName is the set of tuples {namespace name, local part}, where namespace name is an anyURI and local part is an NCName. The lexical space of QName is the set of strings that match the QName production of [Namespaces in XML].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NOTATION_LOCAL

    static final java.lang.String DT_TYPE_NOTATION_LOCAL

  NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)]. The of NOTATION is the set of QNames of notations declared in the current schema. The lexical space of NOTATION is the set of all names of notations declared in the current schema (in the form of QNames).

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NORMALIZEDSTRING_LOCAL

    static final java.lang.String DT_TYPE_NORMALIZEDSTRING_LOCAL

  normalizedString represents white space normalized strings. The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The lexical space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The base type of normalizedString is string.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_TOKEN_LOCAL

    static final java.lang.String DT_TYPE_TOKEN_LOCAL

  token represents tokenized strings. The of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The base type of token is normalizedString.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_LANGUAGE_LOCAL

    static final java.lang.String DT_TYPE_LANGUAGE_LOCAL

  language represents natural language identifiers as defined by by [RFC 3066] . The of language is the set of all strings that are valid language identifiers as defined [RFC 3066] . The lexical space of language is the set of all strings that conform to the pattern [a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})* . The base type of language is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NMTOKEN_LOCAL

    static final java.lang.String DT_TYPE_NMTOKEN_LOCAL

  NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)]. The of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The lexical space of NMTOKEN is the set of strings that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NMTOKENS_LOCAL

    static final java.lang.String DT_TYPE_NMTOKENS_LOCAL

  NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)]. The of NMTOKENS is the set of finite, non-zero-length sequences of NMTOKENs. The lexical space of NMTOKENS is the set of space-separated lists of tokens, of which each token is in the lexical space of NMTOKEN. The itemType of NMTOKENS is NMTOKEN.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NAME_LOCAL

    static final java.lang.String DT_TYPE_NAME_LOCAL

  Name represents XML Names. The of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The lexical space of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The base type of Name is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NCNAME_LOCAL

    static final java.lang.String DT_TYPE_NCNAME_LOCAL

  NCName represents XML "non-colonized" Names. The of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The lexical space of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The base type of NCName is Name.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ID_LOCAL

    static final java.lang.String DT_TYPE_ID_LOCAL

  ID represents the ID attribute type from [XML 1.0 (Second Edition)]. The of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ID is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_IDREF_LOCAL

    static final java.lang.String DT_TYPE_IDREF_LOCAL

  IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)]. The of IDREF is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of IDREF is the set of strings that match the NCName production in [Namespaces in XML]. The base type of IDREF is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_IDREFS_LOCAL

    static final java.lang.String DT_TYPE_IDREFS_LOCAL

  IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)]. The of IDREFS is the set of finite, non-zero-length sequences of IDREFs. The lexical space of IDREFS is the set of space-separated lists of tokens, of which each token is in the lexical space of IDREF. The itemType of IDREFS is IDREF.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ENTITY_LOCAL

    static final java.lang.String DT_TYPE_ENTITY_LOCAL

  ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)]. The of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML] and have been declared as an unparsed entity in a document type definition. The lexical space of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ENTITY is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ENTITIES_LOCAL

    static final java.lang.String DT_TYPE_ENTITIES_LOCAL

  ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)]. The of ENTITIES is the set of finite, non-zero-length sequences of ENTITYs that have been declared as unparsed entities in a document type definition. The lexical space of ENTITIES is the set of space-separated lists of tokens, of which each token is in the lexical space of ENTITY. The itemType of ENTITIES is ENTITY.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_INTEGER_LOCAL

    static final java.lang.String DT_TYPE_INTEGER_LOCAL

  integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point. This results in the standard mathematical concept of the integer numbers. The of integer is the infinite set {...,-2,-1,0,1,2,...}. The base type of integer is decimal.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NONPOSITIVEINTEGER_LOCAL

    static final java.lang.String DT_TYPE_NONPOSITIVEINTEGER_LOCAL

  nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0. This results in the standard mathematical concept of the non-positive integers. The of nonPositiveInteger is the infinite set {...,-2,-1,0}. The base type of nonPositiveInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NEGATIVEINTEGER_LOCAL

    static final java.lang.String DT_TYPE_NEGATIVEINTEGER_LOCAL

  negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1. This results in the standard mathematical concept of the negative integers. The of negativeInteger is the infinite set {...,-2,-1}. The base type of negativeInteger is nonPositiveInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_LONG_LOCAL

    static final java.lang.String DT_TYPE_LONG_LOCAL

  long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808. The base type of long is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_INT_LOCAL

    static final java.lang.String DT_TYPE_INT_LOCAL

  int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648. The base type of int is long.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_SHORT_LOCAL

    static final java.lang.String DT_TYPE_SHORT_LOCAL

  short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768. The base type of short is int.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_BYTE_LOCAL

    static final java.lang.String DT_TYPE_BYTE_LOCAL

  byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128. The base type of byte is short.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NONNEGATIVEINTEGER_LOCAL

    static final java.lang.String DT_TYPE_NONNEGATIVEINTEGER_LOCAL

  nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0. This results in the standard mathematical concept of the non-negative integers. The of nonNegativeInteger is the infinite set {0,1,2,...}. The base type of nonNegativeInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDLONG_LOCAL

    static final java.lang.String DT_TYPE_UNSIGNEDLONG_LOCAL

  unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615. The base type of unsignedLong is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDINT_LOCAL

    static final java.lang.String DT_TYPE_UNSIGNEDINT_LOCAL

  unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295. The base type of unsignedInt is unsignedLong.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDSHORT_LOCAL

    static final java.lang.String DT_TYPE_UNSIGNEDSHORT_LOCAL

  unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535. The base type of unsignedShort is unsignedInt.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDBYTE_LOCAL

    static final java.lang.String DT_TYPE_UNSIGNEDBYTE_LOCAL

  unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255. The base type of unsignedByte is unsignedShort.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_POSITIVEINTEGER_LOCAL

    static final java.lang.String DT_TYPE_POSITIVEINTEGER_LOCAL

  positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The of positiveInteger is the infinite set {1,2,...}. The base type of positiveInteger is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_STRING_QNAME

    static final java.lang.String DT_TYPE_STRING_QNAME

  The string datatype represents character strings in XML

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_BOOLEAN_QNAME

    static final java.lang.String DT_TYPE_BOOLEAN_QNAME

  boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DECIMAL_QNAME

    static final java.lang.String DT_TYPE_DECIMAL_QNAME

  decimal represents a subset of the real numbers, which can be represented by decimal numerals

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_FLOAT_QNAME

    static final java.lang.String DT_TYPE_FLOAT_QNAME

  float is patterned after the IEEE single-precision 32-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DOUBLE_QNAME

    static final java.lang.String DT_TYPE_DOUBLE_QNAME

  The double datatype is patterned after the IEEE double-precision 64-bit floating point type

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DURATION_QNAME

    static final java.lang.String DT_TYPE_DURATION_QNAME

  duration represents a duration of time

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DATETIME_QNAME

    static final java.lang.String DT_TYPE_DATETIME_QNAME

  dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_TIME_QNAME

    static final java.lang.String DT_TYPE_TIME_QNAME

  time represents an instant of time that recurs every day

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_DATE_QNAME

    static final java.lang.String DT_TYPE_DATE_QNAME

  The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e. '00:00:00', up to but not including '24:00:00' (which is identical with '00:00:00' of the next day). For nontimezoned values, the top-open intervals disjointly cover the nontimezoned timeline, one per day. For timezoned values, the intervals begin at every minute and therefore overlap.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GYEARMONTH_QNAME

    static final java.lang.String DT_TYPE_GYEARMONTH_QNAME

  gYearMonth represents a specific gregorian month in a specific gregorian year. The of gYearMonth is the set of Gregorian calendar months as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-month long, non-periodic instances e.g. 1999-10 to represent the whole month of 1999-10, independent of how many days this month has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GYEAR_QNAME

    static final java.lang.String DT_TYPE_GYEAR_QNAME

  gYear represents a gregorian calendar year. The of gYear is the set of Gregorian calendar years as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-year long, non-periodic instances e.g. lexical 1999 to represent the whole year 1999, independent of how many months and days this year has.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GMONTHDAY_QNAME

    static final java.lang.String DT_TYPE_GMONTHDAY_QNAME

  gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May. Arbitrary recurring dates are not supported by this datatype. The of gMonthDay is the set of calendar dates, as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, annually periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GDAY_QNAME

    static final java.lang.String DT_TYPE_GDAY_QNAME

  gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month. Arbitrary recurring days are not supported by this datatype. The of gDay is the space of a set of calendar dates as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, monthly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_GMONTH_QNAME

    static final java.lang.String DT_TYPE_GMONTH_QNAME

  gMonth is a gregorian month that recurs every year. The of gMonth is the space of a set of calendar months as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-month long, yearly periodic instances.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_HEXBINARY_QNAME

    static final java.lang.String DT_TYPE_HEXBINARY_QNAME

  hexBinary represents arbitrary hex-encoded binary data. The of hexBinary is the set of finite-length sequences of binary octets.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_BASE64BINARY_QNAME

    static final java.lang.String DT_TYPE_BASE64BINARY_QNAME

  base64Binary represents Base64-encoded arbitrary binary data. The value space of base64Binary is the set of finite-length sequences of binary octets. For base64Binary data the entire binary stream is encoded using the Base64 Alphabet in [RFC 2045].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ANYURI_QNAME

    static final java.lang.String DT_TYPE_ANYURI_QNAME

  anyURI represents a Uniform Resource Identifier Reference (URI). An anyURI value can be absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type should be used to specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_QNAME_QNAME

    static final java.lang.String DT_TYPE_QNAME_QNAME

  QName represents XML qualified names. The of QName is the set of tuples {namespace name, local part}, where namespace name is an anyURI and local part is an NCName. The lexical space of QName is the set of strings that match the QName production of [Namespaces in XML].

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NOTATION_QNAME

    static final java.lang.String DT_TYPE_NOTATION_QNAME

  NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)]. The of NOTATION is the set of QNames of notations declared in the current schema. The lexical space of NOTATION is the set of all names of notations declared in the current schema (in the form of QNames).

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NORMALIZEDSTRING_QNAME

    static final java.lang.String DT_TYPE_NORMALIZEDSTRING_QNAME

  normalizedString represents white space normalized strings. The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The lexical space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The base type of normalizedString is string.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_TOKEN_QNAME

    static final java.lang.String DT_TYPE_TOKEN_QNAME

  token represents tokenized strings. The of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The base type of token is normalizedString.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_LANGUAGE_QNAME

    static final java.lang.String DT_TYPE_LANGUAGE_QNAME

  language represents natural language identifiers as defined by by [RFC 3066] . The of language is the set of all strings that are valid language identifiers as defined [RFC 3066] . The lexical space of language is the set of all strings that conform to the pattern [a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})* . The base type of language is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NMTOKEN_QNAME

    static final java.lang.String DT_TYPE_NMTOKEN_QNAME

  NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)]. The of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The lexical space of NMTOKEN is the set of strings that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NMTOKENS_QNAME

    static final java.lang.String DT_TYPE_NMTOKENS_QNAME

  NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)]. The of NMTOKENS is the set of finite, non-zero-length sequences of NMTOKENs. The lexical space of NMTOKENS is the set of space-separated lists of tokens, of which each token is in the lexical space of NMTOKEN. The itemType of NMTOKENS is NMTOKEN.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NAME_QNAME

    static final java.lang.String DT_TYPE_NAME_QNAME

  Name represents XML Names. The of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The lexical space of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The base type of Name is token.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NCNAME_QNAME

    static final java.lang.String DT_TYPE_NCNAME_QNAME

  NCName represents XML "non-colonized" Names. The of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The lexical space of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The base type of NCName is Name.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ID_QNAME

    static final java.lang.String DT_TYPE_ID_QNAME

  ID represents the ID attribute type from [XML 1.0 (Second Edition)]. The of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ID is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_IDREF_QNAME

    static final java.lang.String DT_TYPE_IDREF_QNAME

  IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)]. The of IDREF is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of IDREF is the set of strings that match the NCName production in [Namespaces in XML]. The base type of IDREF is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_IDREFS_QNAME

    static final java.lang.String DT_TYPE_IDREFS_QNAME

  IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)]. The of IDREFS is the set of finite, non-zero-length sequences of IDREFs. The lexical space of IDREFS is the set of space-separated lists of tokens, of which each token is in the lexical space of IDREF. The itemType of IDREFS is IDREF.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ENTITY_QNAME

    static final java.lang.String DT_TYPE_ENTITY_QNAME

  ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)]. The of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML] and have been declared as an unparsed entity in a document type definition. The lexical space of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ENTITY is NCName.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_ENTITIES_QNAME

    static final java.lang.String DT_TYPE_ENTITIES_QNAME

  ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)]. The of ENTITIES is the set of finite, non-zero-length sequences of ENTITYs that have been declared as unparsed entities in a document type definition. The lexical space of ENTITIES is the set of space-separated lists of tokens, of which each token is in the lexical space of ENTITY. The itemType of ENTITIES is ENTITY.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_INTEGER_QNAME

    static final java.lang.String DT_TYPE_INTEGER_QNAME

  integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point. This results in the standard mathematical concept of the integer numbers. The of integer is the infinite set {...,-2,-1,0,1,2,...}. The base type of integer is decimal.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NONPOSITIVEINTEGER_QNAME

    static final java.lang.String DT_TYPE_NONPOSITIVEINTEGER_QNAME

  nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0. This results in the standard mathematical concept of the non-positive integers. The of nonPositiveInteger is the infinite set {...,-2,-1,0}. The base type of nonPositiveInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NEGATIVEINTEGER_QNAME

    static final java.lang.String DT_TYPE_NEGATIVEINTEGER_QNAME

  negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1. This results in the standard mathematical concept of the negative integers. The of negativeInteger is the infinite set {...,-2,-1}. The base type of negativeInteger is nonPositiveInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_LONG_QNAME

    static final java.lang.String DT_TYPE_LONG_QNAME

  long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808. The base type of long is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_INT_QNAME

    static final java.lang.String DT_TYPE_INT_QNAME

  int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648. The base type of int is long.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_SHORT_QNAME

    static final java.lang.String DT_TYPE_SHORT_QNAME

  short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768. The base type of short is int.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_BYTE_QNAME

    static final java.lang.String DT_TYPE_BYTE_QNAME

  byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128. The base type of byte is short.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_NONNEGATIVEINTEGER_QNAME

    static final java.lang.String DT_TYPE_NONNEGATIVEINTEGER_QNAME

  nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0. This results in the standard mathematical concept of the non-negative integers. The of nonNegativeInteger is the infinite set {0,1,2,...}. The base type of nonNegativeInteger is integer.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDLONG_QNAME

    static final java.lang.String DT_TYPE_UNSIGNEDLONG_QNAME

  unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615. The base type of unsignedLong is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDINT_QNAME

    static final java.lang.String DT_TYPE_UNSIGNEDINT_QNAME

  unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295. The base type of unsignedInt is unsignedLong.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDSHORT_QNAME

    static final java.lang.String DT_TYPE_UNSIGNEDSHORT_QNAME

  unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535. The base type of unsignedShort is unsignedInt.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_UNSIGNEDBYTE_QNAME

    static final java.lang.String DT_TYPE_UNSIGNEDBYTE_QNAME

  unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255. The base type of unsignedByte is unsignedShort.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_POSITIVEINTEGER_QNAME

    static final java.lang.String DT_TYPE_POSITIVEINTEGER_QNAME

  positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The of positiveInteger is the infinite set {1,2,...}. The base type of positiveInteger is nonNegativeInteger.

  Since:
    7.0.0.2
  See Also:
    Constant Field Values

### DT_TYPE_STRING

    static final javax.xml.namespace.QName DT_TYPE_STRING

  The string datatype represents character strings in XML

  Since:
    7.0.0.2

### DT_TYPE_BOOLEAN

    static final javax.xml.namespace.QName DT_TYPE_BOOLEAN

  boolean has the value required to support the mathematical concept of binary-valued logic: {true, false}.

  Since:
    7.0.0.2

### DT_TYPE_DECIMAL

    static final javax.xml.namespace.QName DT_TYPE_DECIMAL

  decimal represents a subset of the real numbers, which can be represented by decimal numerals

  Since:
    7.0.0.2

### DT_TYPE_FLOAT

    static final javax.xml.namespace.QName DT_TYPE_FLOAT

  float is patterned after the IEEE single-precision 32-bit floating point type

  Since:
    7.0.0.2

### DT_TYPE_DOUBLE

    static final javax.xml.namespace.QName DT_TYPE_DOUBLE

  The double datatype is patterned after the IEEE double-precision 64-bit floating point type

  Since:
    7.0.0.2

### DT_TYPE_DURATION

    static final javax.xml.namespace.QName DT_TYPE_DURATION

  duration represents a duration of time

  Since:
    7.0.0.2

### DT_TYPE_DATETIME

    static final javax.xml.namespace.QName DT_TYPE_DATETIME

  dateTime values may be viewed as objects with integer-valued year, month, day, hour and minute properties, a decimal-valued second property, and a boolean timezoned property

  Since:
    7.0.0.2

### DT_TYPE_TIME

    static final javax.xml.namespace.QName DT_TYPE_TIME

  time represents an instant of time that recurs every day

  Since:
    7.0.0.2

### DT_TYPE_DATE

    static final javax.xml.namespace.QName DT_TYPE_DATE

  The of date consists of top-open intervals of exactly one day in length on the timelines of dateTime, beginning on the beginning moment of each day (in each timezone), i.e. '00:00:00', up to but not including '24:00:00' (which is identical with '00:00:00' of the next day). For nontimezoned values, the top-open intervals disjointly cover the nontimezoned timeline, one per day. For timezoned values, the intervals begin at every minute and therefore overlap.

  Since:
    7.0.0.2

### DT_TYPE_GYEARMONTH

    static final javax.xml.namespace.QName DT_TYPE_GYEARMONTH

  gYearMonth represents a specific gregorian month in a specific gregorian year. The of gYearMonth is the set of Gregorian calendar months as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-month long, non-periodic instances e.g. 1999-10 to represent the whole month of 1999-10, independent of how many days this month has.

  Since:
    7.0.0.2

### DT_TYPE_GYEAR

    static final javax.xml.namespace.QName DT_TYPE_GYEAR

  gYear represents a gregorian calendar year. The of gYear is the set of Gregorian calendar years as defined in � 5.2.1 of [ISO 8601]. Specifically, it is a set of one-year long, non-periodic instances e.g. lexical 1999 to represent the whole year 1999, independent of how many months and days this year has.

  Since:
    7.0.0.2

### DT_TYPE_GMONTHDAY

    static final javax.xml.namespace.QName DT_TYPE_GMONTHDAY

  gMonthDay is a gregorian date that recurs, specifically a day of the year such as the third of May. Arbitrary recurring dates are not supported by this datatype. The of gMonthDay is the set of calendar dates, as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, annually periodic instances.

  Since:
    7.0.0.2

### DT_TYPE_GDAY

    static final javax.xml.namespace.QName DT_TYPE_GDAY

  gDay is a gregorian day that recurs, specifically a day of the month such as the 5th of the month. Arbitrary recurring days are not supported by this datatype. The of gDay is the space of a set of calendar dates as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-day long, monthly periodic instances.

  Since:
    7.0.0.2

### DT_TYPE_GMONTH

    static final javax.xml.namespace.QName DT_TYPE_GMONTH

  gMonth is a gregorian month that recurs every year. The of gMonth is the space of a set of calendar months as defined in � 3 of [ISO 8601]. Specifically, it is a set of one-month long, yearly periodic instances.

  Since:
    7.0.0.2

### DT_TYPE_HEXBINARY

    static final javax.xml.namespace.QName DT_TYPE_HEXBINARY

  hexBinary represents arbitrary hex-encoded binary data. The of hexBinary is the set of finite-length sequences of binary octets.

  Since:
    7.0.0.2

### DT_TYPE_BASE64BINARY

    static final javax.xml.namespace.QName DT_TYPE_BASE64BINARY

  base64Binary represents Base64-encoded arbitrary binary data. The value space of base64Binary is the set of finite-length sequences of binary octets. For base64Binary data the entire binary stream is encoded using the Base64 Alphabet in [RFC 2045].

  Since:
    7.0.0.2

### DT_TYPE_ANYURI

    static final javax.xml.namespace.QName DT_TYPE_ANYURI

  anyURI represents a Uniform Resource Identifier Reference (URI). An anyURI value can be absolute or relative, and may have an optional fragment identifier (i.e., it may be a URI Reference). This type should be used to specify the intention that the value fulfills the role of a URI as defined by [RFC 2396], as amended by [RFC 2732].

  Since:
    7.0.0.2

### DT_TYPE_QNAME

    static final javax.xml.namespace.QName DT_TYPE_QNAME

  QName represents XML qualified names. The of QName is the set of tuples {namespace name, local part}, where namespace name is an anyURI and local part is an NCName. The lexical space of QName is the set of strings that match the QName production of [Namespaces in XML].

  Since:
    7.0.0.2

### DT_TYPE_NOTATION

    static final javax.xml.namespace.QName DT_TYPE_NOTATION

  NOTATION represents the NOTATION attribute type from [XML 1.0 (Second Edition)]. The of NOTATION is the set of QNames of notations declared in the current schema. The lexical space of NOTATION is the set of all names of notations declared in the current schema (in the form of QNames).

  Since:
    7.0.0.2

### DT_TYPE_NORMALIZEDSTRING

    static final javax.xml.namespace.QName DT_TYPE_NORMALIZEDSTRING

  normalizedString represents white space normalized strings. The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The lexical space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The base type of normalizedString is string.

  Since:
    7.0.0.2

### DT_TYPE_TOKEN

    static final javax.xml.namespace.QName DT_TYPE_TOKEN

  token represents tokenized strings. The of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The base type of token is normalizedString.

  Since:
    7.0.0.2

### DT_TYPE_LANGUAGE

    static final javax.xml.namespace.QName DT_TYPE_LANGUAGE

  language represents natural language identifiers as defined by by [RFC 3066] . The of language is the set of all strings that are valid language identifiers as defined [RFC 3066] . The lexical space of language is the set of all strings that conform to the pattern [a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})* . The base type of language is token.

  Since:
    7.0.0.2

### DT_TYPE_NMTOKEN

    static final javax.xml.namespace.QName DT_TYPE_NMTOKEN

  NMTOKEN represents the NMTOKEN attribute type from [XML 1.0 (Second Edition)]. The of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The lexical space of NMTOKEN is the set of strings that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

  Since:
    7.0.0.2

### DT_TYPE_NMTOKENS

    static final javax.xml.namespace.QName DT_TYPE_NMTOKENS

  NMTOKENS represents the NMTOKENS attribute type from [XML 1.0 (Second Edition)]. The of NMTOKENS is the set of finite, non-zero-length sequences of NMTOKENs. The lexical space of NMTOKENS is the set of space-separated lists of tokens, of which each token is in the lexical space of NMTOKEN. The itemType of NMTOKENS is NMTOKEN.

  Since:
    7.0.0.2

### DT_TYPE_NAME

    static final javax.xml.namespace.QName DT_TYPE_NAME

  Name represents XML Names. The of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The lexical space of Name is the set of all strings which match the Name production of [XML 1.0 (Second Edition)]. The base type of Name is token.

  Since:
    7.0.0.2

### DT_TYPE_NCNAME

    static final javax.xml.namespace.QName DT_TYPE_NCNAME

  NCName represents XML "non-colonized" Names. The of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The lexical space of NCName is the set of all strings which match the NCName production of [Namespaces in XML]. The base type of NCName is Name.

  Since:
    7.0.0.2

### DT_TYPE_ID

    static final javax.xml.namespace.QName DT_TYPE_ID

  ID represents the ID attribute type from [XML 1.0 (Second Edition)]. The of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of ID is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ID is NCName.

  Since:
    7.0.0.2

### DT_TYPE_IDREF

    static final javax.xml.namespace.QName DT_TYPE_IDREF

  IDREF represents the IDREF attribute type from [XML 1.0 (Second Edition)]. The of IDREF is the set of all strings that match the NCName production in [Namespaces in XML]. The lexical space of IDREF is the set of strings that match the NCName production in [Namespaces in XML]. The base type of IDREF is NCName.

  Since:
    7.0.0.2

### DT_TYPE_IDREFS

    static final javax.xml.namespace.QName DT_TYPE_IDREFS

  IDREFS represents the IDREFS attribute type from [XML 1.0 (Second Edition)]. The of IDREFS is the set of finite, non-zero-length sequences of IDREFs. The lexical space of IDREFS is the set of space-separated lists of tokens, of which each token is in the lexical space of IDREF. The itemType of IDREFS is IDREF.

  Since:
    7.0.0.2

### DT_TYPE_ENTITY

    static final javax.xml.namespace.QName DT_TYPE_ENTITY

  ENTITY represents the ENTITY attribute type from [XML 1.0 (Second Edition)]. The of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML] and have been declared as an unparsed entity in a document type definition. The lexical space of ENTITY is the set of all strings that match the NCName production in [Namespaces in XML]. The base type of ENTITY is NCName.

  Since:
    7.0.0.2

### DT_TYPE_ENTITIES

    static final javax.xml.namespace.QName DT_TYPE_ENTITIES

  ENTITIES represents the ENTITIES attribute type from [XML 1.0 (Second Edition)]. The of ENTITIES is the set of finite, non-zero-length sequences of ENTITYs that have been declared as unparsed entities in a document type definition. The lexical space of ENTITIES is the set of space-separated lists of tokens, of which each token is in the lexical space of ENTITY. The itemType of ENTITIES is ENTITY.

  Since:
    7.0.0.2

### DT_TYPE_INTEGER

    static final javax.xml.namespace.QName DT_TYPE_INTEGER

  integer is derived from decimal by fixing the value of fractionDigits to be 0and disallowing the trailing decimal point. This results in the standard mathematical concept of the integer numbers. The of integer is the infinite set {...,-2,-1,0,1,2,...}. The base type of integer is decimal.

  Since:
    7.0.0.2

### DT_TYPE_NONPOSITIVEINTEGER

    static final javax.xml.namespace.QName DT_TYPE_NONPOSITIVEINTEGER

  nonPositiveInteger is derived from integer by setting the value of maxInclusive to be 0. This results in the standard mathematical concept of the non-positive integers. The of nonPositiveInteger is the infinite set {...,-2,-1,0}. The base type of nonPositiveInteger is integer.

  Since:
    7.0.0.2

### DT_TYPE_NEGATIVEINTEGER

    static final javax.xml.namespace.QName DT_TYPE_NEGATIVEINTEGER

  negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1. This results in the standard mathematical concept of the negative integers. The of negativeInteger is the infinite set {...,-2,-1}. The base type of negativeInteger is nonPositiveInteger.

  Since:
    7.0.0.2

### DT_TYPE_LONG

    static final javax.xml.namespace.QName DT_TYPE_LONG

  long is derived from integer by setting the value of maxInclusive to be 9223372036854775807 and minInclusive to be -9223372036854775808. The base type of long is integer.

  Since:
    7.0.0.2

### DT_TYPE_INT

    static final javax.xml.namespace.QName DT_TYPE_INT

  int is derived from long by setting the value of maxInclusive to be 2147483647 and minInclusive to be -2147483648. The base type of int is long.

  Since:
    7.0.0.2

### DT_TYPE_SHORT

    static final javax.xml.namespace.QName DT_TYPE_SHORT

  short is derived from int by setting the value of maxInclusive to be 32767 and minInclusive to be -32768. The base type of short is int.

  Since:
    7.0.0.2

### DT_TYPE_BYTE

    static final javax.xml.namespace.QName DT_TYPE_BYTE

  byte is derived from short by setting the value of maxInclusive to be 127 and minInclusive to be -128. The base type of byte is short.

  Since:
    7.0.0.2

### DT_TYPE_NONNEGATIVEINTEGER

    static final javax.xml.namespace.QName DT_TYPE_NONNEGATIVEINTEGER

  nonNegativeInteger is derived from integer by setting the value of minInclusive to be 0. This results in the standard mathematical concept of the non-negative integers. The of nonNegativeInteger is the infinite set {0,1,2,...}. The base type of nonNegativeInteger is integer.

  Since:
    7.0.0.2

### DT_TYPE_UNSIGNEDLONG

    static final javax.xml.namespace.QName DT_TYPE_UNSIGNEDLONG

  unsignedLong is derived from nonNegativeInteger by setting the value of maxInclusive to be 18446744073709551615. The base type of unsignedLong is nonNegativeInteger.

  Since:
    7.0.0.2

### DT_TYPE_UNSIGNEDINT

    static final javax.xml.namespace.QName DT_TYPE_UNSIGNEDINT

  unsignedInt is derived from unsignedLong by setting the value of maxInclusive to be 4294967295. The base type of unsignedInt is unsignedLong.

  Since:
    7.0.0.2

### DT_TYPE_UNSIGNEDSHORT

    static final javax.xml.namespace.QName DT_TYPE_UNSIGNEDSHORT

  unsignedShort is derived from unsignedInt by setting the value of maxInclusive to be 65535. The base type of unsignedShort is unsignedInt.

  Since:
    7.0.0.2

### DT_TYPE_UNSIGNEDBYTE

    static final javax.xml.namespace.QName DT_TYPE_UNSIGNEDBYTE

  unsignedByte is derived from unsignedShort by setting the value of maxInclusive to be 255. The base type of unsignedByte is unsignedShort.

  Since:
    7.0.0.2

### DT_TYPE_POSITIVEINTEGER

    static final javax.xml.namespace.QName DT_TYPE_POSITIVEINTEGER

  positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The of positiveInteger is the infinite set {1,2,...}. The base type of positiveInteger is nonNegativeInteger.

  Since:
    7.0.0.2

### KEY_INDENT_AMOUNT

    static final java.lang.String KEY_INDENT_AMOUNT

  Specifies the indent amount for beautification

  Since:
    8.0.0.1
  See Also:
    Constant Field Values

### KEY_XSLT_PROCESSOR

    static final java.lang.String KEY_XSLT_PROCESSOR

  Type of the XSLT processor to use

  Since:
    8.5
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD